CREATE TABLE `galaxia_activities` (
  `activityId` int(14) NOT NULL auto_increment,
  `name` varchar(80) default NULL,
  `normalized_name` varchar(80) default NULL,
  `pId` int(14) NOT NULL default '0',
  `type` enum('start','end','split','switch','join','activity','standalone') default NULL,
  `isAutoRouted` char(1) default NULL,
  `flowNum` int(10) default NULL,
  `isInteractive` char(1) default NULL,
  `lastModif` int(14) default NULL,
  `description` text,
  `expirationTime` int(6) unsigned NOT NULL default '0',
  PRIMARY KEY  (`activityId`)
) TYPE=MyISAM;
CREATE TABLE `galaxia_activity_roles` (
  `activityId` int(14) NOT NULL default '0',
  `roleId` int(14) NOT NULL default '0',
  PRIMARY KEY  (`activityId`,`roleId`)
) TYPE=MyISAM;
CREATE TABLE `galaxia_instance_activities` (
  `instanceId` int(14) NOT NULL default '0',
  `activityId` int(14) NOT NULL default '0',
  `started` int(14) NOT NULL default '0',
  `ended` int(14) NOT NULL default '0',
  `user` varchar(40) default NULL,
  `status` enum('running','completed') default NULL,
  PRIMARY KEY  (`instanceId`,`activityId`)
) TYPE=MyISAM;
CREATE TABLE `galaxia_instance_comments` (
  `cId` int(14) NOT NULL auto_increment,
  `instanceId` int(14) NOT NULL default '0',
  `user` varchar(40) default NULL,
  `activityId` int(14) default NULL,
  `hash` varchar(32) default NULL,
  `title` varchar(250) default NULL,
  `comment` text,
  `activity` varchar(80) default NULL,
  `timestamp` int(14) default NULL,
  PRIMARY KEY  (`cId`)
) TYPE=MyISAM;
CREATE TABLE `galaxia_instances` (
  `instanceId` int(14) NOT NULL auto_increment,
  `pId` int(14) NOT NULL default '0',
  `started` int(14) default NULL,
  `name` varchar(200) NOT NULL default 'No Name',
  `owner` varchar(200) default NULL,
  `nextActivity` int(14) default NULL,
  `nextUser` varchar(200) default NULL,
  `ended` int(14) default NULL,
  `status` enum('active','exception','aborted','completed') default NULL,
  `properties` longblob,
  PRIMARY KEY  (`instanceId`)
) TYPE=MyISAM;
CREATE TABLE `galaxia_processes` (
  `pId` int(14) NOT NULL auto_increment,
  `name` varchar(80) default NULL,
  `isValid` char(1) default NULL,
  `isActive` char(1) default NULL,
  `version` varchar(12) default NULL,
  `description` text,
  `lastModif` int(14) default NULL,
  `normalized_name` varchar(80) default NULL,
  PRIMARY KEY  (`pId`)
) TYPE=MyISAM;
CREATE TABLE `galaxia_roles` (
  `roleId` int(14) NOT NULL auto_increment,
  `pId` int(14) NOT NULL default '0',
  `lastModif` int(14) default NULL,
  `name` varchar(80) default NULL,
  `description` text,
  PRIMARY KEY  (`roleId`)
) TYPE=MyISAM;
CREATE TABLE `galaxia_transitions` (
  `pId` int(14) NOT NULL default '0',
  `actFromId` int(14) NOT NULL default '0',
  `actToId` int(14) NOT NULL default '0',
  PRIMARY KEY  (`actFromId`,`actToId`)
) TYPE=MyISAM;
CREATE TABLE `galaxia_user_roles` (
  `pId` int(14) NOT NULL default '0',
  `roleId` int(14) NOT NULL auto_increment,
  `user` varchar(40) NOT NULL default '',
  PRIMARY KEY  (`roleId`,`user`)
) TYPE=MyISAM;
CREATE TABLE `galaxia_workitems` (
  `itemId` int(14) NOT NULL auto_increment,
  `instanceId` int(14) NOT NULL default '0',
  `orderId` int(14) NOT NULL default '0',
  `activityId` int(14) NOT NULL default '0',
  `properties` longblob,
  `started` int(14) default NULL,
  `ended` int(14) default NULL,
  `user` varchar(40) default NULL,
  PRIMARY KEY  (`itemId`)
) TYPE=MyISAM;
CREATE TABLE `messu_archive` (
  `msgId` int(14) NOT NULL auto_increment,
  `user` varchar(40) NOT NULL default '',
  `user_from` varchar(40) NOT NULL default '',
  `user_to` text,
  `user_cc` text,
  `user_bcc` text,
  `subject` varchar(255) default NULL,
  `body` text,
  `hash` varchar(32) default NULL,
  `replyto_hash` varchar(32) default NULL,
  `date` int(14) default NULL,
  `isRead` char(1) default NULL,
  `isReplied` char(1) default NULL,
  `isFlagged` char(1) default NULL,
  `priority` int(2) default NULL,
  PRIMARY KEY  (`msgId`)
) TYPE=MyISAM;
CREATE TABLE `messu_messages` (
  `msgId` int(14) NOT NULL auto_increment,
  `user` varchar(40) NOT NULL default '',
  `user_from` varchar(200) NOT NULL default '',
  `user_to` text,
  `user_cc` text,
  `user_bcc` text,
  `subject` varchar(255) default NULL,
  `body` text,
  `hash` varchar(32) default NULL,
  `replyto_hash` varchar(32) default NULL,
  `date` int(14) default NULL,
  `isRead` char(1) default NULL,
  `isReplied` char(1) default NULL,
  `isFlagged` char(1) default NULL,
  `priority` int(2) default NULL,
  PRIMARY KEY  (`msgId`)
) TYPE=MyISAM;
CREATE TABLE `messu_sent` (
  `msgId` int(14) NOT NULL auto_increment,
  `user` varchar(40) NOT NULL default '',
  `user_from` varchar(40) NOT NULL default '',
  `user_to` text,
  `user_cc` text,
  `user_bcc` text,
  `subject` varchar(255) default NULL,
  `body` text,
  `hash` varchar(32) default NULL,
  `replyto_hash` varchar(32) default NULL,
  `date` int(14) default NULL,
  `isRead` char(1) default NULL,
  `isReplied` char(1) default NULL,
  `isFlagged` char(1) default NULL,
  `priority` int(2) default NULL,
  PRIMARY KEY  (`msgId`)
) TYPE=MyISAM;
CREATE TABLE `sessions` (
  `sesskey` varchar(32) NOT NULL default '',
  `expiry` int(11) unsigned NOT NULL default '0',
  `expireref` varchar(64) default NULL,
  `data` text NOT NULL,
  PRIMARY KEY  (`sesskey`),
  KEY `expiry` (`expiry`)
) TYPE=MyISAM;
CREATE TABLE `tiki_actionlog` (
  `action` varchar(255) NOT NULL default '',
  `lastModif` int(14) default NULL,
  `pageName` varchar(200) default NULL,
  `user` varchar(40) default NULL,
  `ip` varchar(15) default NULL,
  `comment` varchar(200) default NULL
) TYPE=MyISAM;
INSERT INTO `tiki_actionlog` VALUES ('Created',1171638297,'HomePage','admin','0.0.0.0','Tiki initialization');
CREATE TABLE `tiki_article_types` (
  `type` varchar(50) NOT NULL default '',
  `use_ratings` char(1) default NULL,
  `show_pre_publ` char(1) default NULL,
  `show_post_expire` char(1) default 'y',
  `heading_only` char(1) default NULL,
  `allow_comments` char(1) default 'y',
  `show_image` char(1) default 'y',
  `show_avatar` char(1) default NULL,
  `show_author` char(1) default 'y',
  `show_pubdate` char(1) default 'y',
  `show_expdate` char(1) default NULL,
  `show_reads` char(1) default 'y',
  `show_size` char(1) default 'y',
  `show_topline` char(1) default 'n',
  `show_subtitle` char(1) default 'n',
  `show_linkto` char(1) default 'n',
  `show_image_caption` char(1) default 'n',
  `show_lang` char(1) default 'n',
  `creator_edit` char(1) default NULL,
  `comment_can_rate_article` char(1) default NULL,
  PRIMARY KEY  (`type`)
) TYPE=MyISAM;
INSERT INTO `tiki_article_types` VALUES ('Article',NULL,NULL,'y',NULL,'y','y',NULL,'y','y',NULL,'y','y','n','n','n','n','n',NULL,NULL),('Review','y',NULL,'y',NULL,'y','y',NULL,'y','y',NULL,'y','y','n','n','n','n','n',NULL,NULL),('Event',NULL,NULL,'n',NULL,'y','y',NULL,'y','y',NULL,'y','y','n','n','n','n','n',NULL,NULL),('Classified',NULL,NULL,'n','y','n','y',NULL,'y','y',NULL,'y','y','n','n','n','n','n',NULL,NULL);
CREATE TABLE `tiki_articles` (
  `articleId` int(8) NOT NULL auto_increment,
  `topline` varchar(255) default NULL,
  `title` varchar(80) default NULL,
  `subtitle` varchar(255) default NULL,
  `linkto` varchar(255) default NULL,
  `lang` varchar(16) default NULL,
  `state` char(1) default 's',
  `authorName` varchar(60) default NULL,
  `topicId` int(14) default NULL,
  `topicName` varchar(40) default NULL,
  `size` int(12) default NULL,
  `useImage` char(1) default NULL,
  `image_name` varchar(80) default NULL,
  `image_caption` text,
  `image_type` varchar(80) default NULL,
  `image_size` int(14) default NULL,
  `image_x` int(4) default NULL,
  `image_y` int(4) default NULL,
  `image_data` longblob,
  `publishDate` int(14) default NULL,
  `expireDate` int(14) default NULL,
  `created` int(14) default NULL,
  `heading` text,
  `body` text,
  `hash` varchar(32) default NULL,
  `author` varchar(200) default NULL,
  `nbreads` int(14) default NULL,
  `votes` int(8) default NULL,
  `points` int(14) default NULL,
  `type` varchar(50) default NULL,
  `rating` decimal(3,2) default NULL,
  `isfloat` char(1) default NULL,
  PRIMARY KEY  (`articleId`),
  KEY `title` (`title`),
  KEY `heading` (`heading`(255)),
  KEY `body` (`body`(255)),
  KEY `author` (`author`(32)),
  KEY `nbreads` (`nbreads`),
  FULLTEXT KEY `ft` (`title`,`heading`,`body`)
) TYPE=MyISAM;
CREATE TABLE `tiki_banners` (
  `bannerId` int(12) NOT NULL auto_increment,
  `client` varchar(200) NOT NULL default '',
  `url` varchar(255) default NULL,
  `title` varchar(255) default NULL,
  `alt` varchar(250) default NULL,
  `which` varchar(50) default NULL,
  `imageData` longblob,
  `imageType` varchar(200) default NULL,
  `imageName` varchar(100) default NULL,
  `HTMLData` text,
  `fixedURLData` varchar(255) default NULL,
  `textData` text,
  `fromDate` int(14) default NULL,
  `toDate` int(14) default NULL,
  `useDates` char(1) default NULL,
  `mon` char(1) default NULL,
  `tue` char(1) default NULL,
  `wed` char(1) default NULL,
  `thu` char(1) default NULL,
  `fri` char(1) default NULL,
  `sat` char(1) default NULL,
  `sun` char(1) default NULL,
  `hourFrom` varchar(4) default NULL,
  `hourTo` varchar(4) default NULL,
  `created` int(14) default NULL,
  `maxImpressions` int(8) default NULL,
  `impressions` int(8) default NULL,
  `clicks` int(8) default NULL,
  `zone` varchar(40) default NULL,
  PRIMARY KEY  (`bannerId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_banning` (
  `banId` int(12) NOT NULL auto_increment,
  `mode` enum('user','ip') default NULL,
  `title` varchar(200) default NULL,
  `ip1` char(3) default NULL,
  `ip2` char(3) default NULL,
  `ip3` char(3) default NULL,
  `ip4` char(3) default NULL,
  `user` varchar(40) default NULL,
  `date_from` timestamp NOT NULL,
  `date_to` timestamp NOT NULL default '0000-00-00 00:00:00',
  `use_dates` char(1) default NULL,
  `created` int(14) default NULL,
  `message` text,
  PRIMARY KEY  (`banId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_banning_sections` (
  `banId` int(12) NOT NULL default '0',
  `section` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`banId`,`section`)
) TYPE=MyISAM;
CREATE TABLE `tiki_blog_activity` (
  `blogId` int(8) NOT NULL default '0',
  `day` int(14) NOT NULL default '0',
  `posts` int(8) default NULL,
  PRIMARY KEY  (`blogId`,`day`)
) TYPE=MyISAM;
CREATE TABLE `tiki_blog_posts` (
  `postId` int(8) NOT NULL auto_increment,
  `blogId` int(8) NOT NULL default '0',
  `data` text,
  `data_size` int(11) unsigned NOT NULL default '0',
  `created` int(14) default NULL,
  `user` varchar(40) default NULL,
  `trackbacks_to` text,
  `trackbacks_from` text,
  `title` varchar(80) default NULL,
  `priv` char(1) default NULL,
  PRIMARY KEY  (`postId`),
  KEY `data` (`data`(255)),
  KEY `blogId` (`blogId`),
  KEY `created` (`created`),
  FULLTEXT KEY `ft` (`data`,`title`)
) TYPE=MyISAM;
CREATE TABLE `tiki_blog_posts_images` (
  `imgId` int(14) NOT NULL auto_increment,
  `postId` int(14) NOT NULL default '0',
  `filename` varchar(80) default NULL,
  `filetype` varchar(80) default NULL,
  `filesize` int(14) default NULL,
  `data` longblob,
  PRIMARY KEY  (`imgId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_blogs` (
  `blogId` int(8) NOT NULL auto_increment,
  `created` int(14) default NULL,
  `lastModif` int(14) default NULL,
  `title` varchar(200) default NULL,
  `description` text,
  `user` varchar(40) default NULL,
  `public` char(1) default NULL,
  `posts` int(8) default NULL,
  `maxPosts` int(8) default NULL,
  `hits` int(8) default NULL,
  `activity` decimal(4,2) default NULL,
  `heading` text,
  `use_find` char(1) default NULL,
  `use_title` char(1) default NULL,
  `add_date` char(1) default NULL,
  `add_poster` char(1) default NULL,
  `allow_comments` char(1) default NULL,
  `show_avatar` char(1) default NULL,
  PRIMARY KEY  (`blogId`),
  KEY `title` (`title`),
  KEY `description` (`description`(255)),
  KEY `hits` (`hits`),
  FULLTEXT KEY `ft` (`title`,`description`)
) TYPE=MyISAM;
CREATE TABLE `tiki_calendar_categories` (
  `calcatId` int(11) NOT NULL auto_increment,
  `calendarId` int(14) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`calcatId`),
  UNIQUE KEY `catname` (`calendarId`,`name`(16))
) TYPE=MyISAM;
CREATE TABLE `tiki_calendar_items` (
  `calitemId` int(14) NOT NULL auto_increment,
  `calendarId` int(14) NOT NULL default '0',
  `start` int(14) NOT NULL default '0',
  `end` int(14) NOT NULL default '0',
  `locationId` int(14) default NULL,
  `categoryId` int(14) default NULL,
  `nlId` int(12) NOT NULL default '0',
  `priority` enum('1','2','3','4','5','6','7','8','9') NOT NULL default '1',
  `status` enum('0','1','2') NOT NULL default '0',
  `url` varchar(255) default NULL,
  `lang` varchar(16) NOT NULL default 'en',
  `name` varchar(255) NOT NULL default '',
  `description` blob,
  `user` varchar(40) default NULL,
  `created` int(14) NOT NULL default '0',
  `lastmodif` int(14) NOT NULL default '0',
  PRIMARY KEY  (`calitemId`),
  KEY `calendarId` (`calendarId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_calendar_locations` (
  `callocId` int(14) NOT NULL auto_increment,
  `calendarId` int(14) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `description` blob,
  PRIMARY KEY  (`callocId`),
  UNIQUE KEY `locname` (`calendarId`,`name`(16))
) TYPE=MyISAM;
CREATE TABLE `tiki_calendar_roles` (
  `calitemId` int(14) NOT NULL default '0',
  `username` varchar(40) NOT NULL default '',
  `role` enum('0','1','2','3','6') NOT NULL default '0',
  PRIMARY KEY  (`calitemId`,`username`(16),`role`)
) TYPE=MyISAM;
CREATE TABLE `tiki_calendars` (
  `calendarId` int(14) NOT NULL auto_increment,
  `name` varchar(80) NOT NULL default '',
  `description` varchar(255) default NULL,
  `user` varchar(40) NOT NULL default '',
  `customlocations` enum('n','y') NOT NULL default 'n',
  `customcategories` enum('n','y') NOT NULL default 'n',
  `customlanguages` enum('n','y') NOT NULL default 'n',
  `custompriorities` enum('n','y') NOT NULL default 'n',
  `customparticipants` enum('n','y') NOT NULL default 'n',
  `customsubscription` enum('n','y') NOT NULL default 'n',
  `created` int(14) NOT NULL default '0',
  `lastmodif` int(14) NOT NULL default '0',
  `personal` enum('n','y') NOT NULL default 'n',
  PRIMARY KEY  (`calendarId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_categories` (
  `categId` int(12) NOT NULL auto_increment,
  `name` varchar(100) default NULL,
  `description` varchar(250) default NULL,
  `parentId` int(12) default NULL,
  `hits` int(8) default NULL,
  PRIMARY KEY  (`categId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_categorized_objects` (
  `catObjectId` int(12) NOT NULL auto_increment,
  `type` varchar(50) default NULL,
  `objId` varchar(255) default NULL,
  `description` text,
  `created` int(14) default NULL,
  `name` varchar(200) default NULL,
  `href` varchar(200) default NULL,
  `hits` int(8) default NULL,
  PRIMARY KEY  (`catObjectId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_category_objects` (
  `catObjectId` int(12) NOT NULL default '0',
  `categId` int(12) NOT NULL default '0',
  PRIMARY KEY  (`catObjectId`,`categId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_category_sites` (
  `categId` int(10) NOT NULL default '0',
  `siteId` int(14) NOT NULL default '0',
  PRIMARY KEY  (`categId`,`siteId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_chart_items` (
  `itemId` int(14) NOT NULL auto_increment,
  `title` varchar(250) default NULL,
  `description` text,
  `chartId` int(14) NOT NULL default '0',
  `created` int(14) default NULL,
  `URL` varchar(250) default NULL,
  `votes` int(14) default NULL,
  `points` int(14) default NULL,
  `average` decimal(4,2) default NULL,
  PRIMARY KEY  (`itemId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_charts` (
  `chartId` int(14) NOT NULL auto_increment,
  `title` varchar(250) default NULL,
  `description` text,
  `hits` int(14) default NULL,
  `singleItemVotes` char(1) default NULL,
  `singleChartVotes` char(1) default NULL,
  `suggestions` char(1) default NULL,
  `autoValidate` char(1) default NULL,
  `topN` int(6) default NULL,
  `maxVoteValue` int(4) default NULL,
  `frequency` int(14) default NULL,
  `showAverage` char(1) default NULL,
  `isActive` char(1) default NULL,
  `showVotes` char(1) default NULL,
  `useCookies` char(1) default NULL,
  `lastChart` int(14) default NULL,
  `voteAgainAfter` int(14) default NULL,
  `created` int(14) default NULL,
  PRIMARY KEY  (`chartId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_charts_rankings` (
  `chartId` int(14) NOT NULL default '0',
  `itemId` int(14) NOT NULL default '0',
  `position` int(14) NOT NULL default '0',
  `timestamp` int(14) NOT NULL default '0',
  `lastPosition` int(14) NOT NULL default '0',
  `period` int(14) NOT NULL default '0',
  `rvotes` int(14) NOT NULL default '0',
  `raverage` decimal(4,2) NOT NULL default '0.00',
  PRIMARY KEY  (`chartId`,`itemId`,`period`)
) TYPE=MyISAM;
CREATE TABLE `tiki_charts_votes` (
  `user` varchar(40) NOT NULL default '',
  `itemId` int(14) NOT NULL default '0',
  `timestamp` int(14) default NULL,
  `chartId` int(14) default NULL,
  PRIMARY KEY  (`user`,`itemId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_chat_channels` (
  `channelId` int(8) NOT NULL auto_increment,
  `name` varchar(30) default NULL,
  `description` varchar(250) default NULL,
  `max_users` int(8) default NULL,
  `mode` char(1) default NULL,
  `moderator` varchar(200) default NULL,
  `active` char(1) default NULL,
  `refresh` int(6) default NULL,
  PRIMARY KEY  (`channelId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_chat_messages` (
  `messageId` int(8) NOT NULL auto_increment,
  `channelId` int(8) NOT NULL default '0',
  `data` varchar(255) default NULL,
  `poster` varchar(200) NOT NULL default 'anonymous',
  `timestamp` int(14) default NULL,
  PRIMARY KEY  (`messageId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_chat_users` (
  `nickname` varchar(200) NOT NULL default '',
  `channelId` int(8) NOT NULL default '0',
  `timestamp` int(14) default NULL,
  PRIMARY KEY  (`nickname`,`channelId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_comments` (
  `threadId` int(14) NOT NULL auto_increment,
  `object` varchar(255) NOT NULL default '',
  `objectType` varchar(32) NOT NULL default '',
  `parentId` int(14) default NULL,
  `userName` varchar(40) default NULL,
  `commentDate` int(14) default NULL,
  `hits` int(8) default NULL,
  `type` char(1) default NULL,
  `points` decimal(8,2) default NULL,
  `votes` int(8) default NULL,
  `average` decimal(8,4) default NULL,
  `title` varchar(100) default NULL,
  `data` text,
  `hash` varchar(32) default NULL,
  `user_ip` varchar(15) default NULL,
  `summary` varchar(240) default NULL,
  `smiley` varchar(80) default NULL,
  `message_id` varchar(250) default NULL,
  `in_reply_to` varchar(250) default NULL,
  `comment_rating` tinyint(2) default NULL,
  PRIMARY KEY  (`threadId`),
  KEY `title` (`title`),
  KEY `data` (`data`(255)),
  KEY `object` (`object`),
  KEY `hits` (`hits`),
  KEY `tc_pi` (`parentId`),
  FULLTEXT KEY `ft` (`title`,`data`)
) TYPE=MyISAM;
CREATE TABLE `tiki_content` (
  `contentId` int(8) NOT NULL auto_increment,
  `description` text,
  PRIMARY KEY  (`contentId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_content_templates` (
  `templateId` int(10) NOT NULL auto_increment,
  `content` longblob,
  `name` varchar(200) default NULL,
  `created` int(14) default NULL,
  PRIMARY KEY  (`templateId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_content_templates_sections` (
  `templateId` int(10) NOT NULL default '0',
  `section` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`templateId`,`section`)
) TYPE=MyISAM;
CREATE TABLE `tiki_cookies` (
  `cookieId` int(10) NOT NULL auto_increment,
  `cookie` text,
  PRIMARY KEY  (`cookieId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_copyrights` (
  `copyrightId` int(12) NOT NULL auto_increment,
  `page` varchar(200) default NULL,
  `title` varchar(200) default NULL,
  `year` int(11) default NULL,
  `authors` varchar(200) default NULL,
  `copyright_order` int(11) default NULL,
  `userName` varchar(40) default NULL,
  PRIMARY KEY  (`copyrightId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_directory_categories` (
  `categId` int(10) NOT NULL auto_increment,
  `parent` int(10) default NULL,
  `name` varchar(240) default NULL,
  `description` text,
  `childrenType` char(1) default NULL,
  `sites` int(10) default NULL,
  `viewableChildren` int(4) default NULL,
  `allowSites` char(1) default NULL,
  `showCount` char(1) default NULL,
  `editorGroup` varchar(200) default NULL,
  `hits` int(12) default NULL,
  PRIMARY KEY  (`categId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_directory_search` (
  `term` varchar(250) NOT NULL default '',
  `hits` int(14) default NULL,
  PRIMARY KEY  (`term`)
) TYPE=MyISAM;
CREATE TABLE `tiki_directory_sites` (
  `siteId` int(14) NOT NULL auto_increment,
  `name` varchar(240) default NULL,
  `description` text,
  `url` varchar(255) default NULL,
  `country` varchar(255) default NULL,
  `hits` int(12) default NULL,
  `isValid` char(1) default NULL,
  `created` int(14) default NULL,
  `lastModif` int(14) default NULL,
  `cache` longblob,
  `cache_timestamp` int(14) default NULL,
  PRIMARY KEY  (`siteId`),
  FULLTEXT KEY `ft` (`name`,`description`)
) TYPE=MyISAM;
CREATE TABLE `tiki_download` (
  `id` int(11) NOT NULL auto_increment,
  `object` varchar(255) NOT NULL default '',
  `userId` int(8) NOT NULL default '0',
  `type` varchar(20) NOT NULL default '',
  `date` int(14) NOT NULL default '0',
  `IP` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `object` (`object`,`userId`,`type`),
  KEY `userId` (`userId`),
  KEY `type` (`type`),
  KEY `date` (`date`)
) TYPE=MyISAM;
CREATE TABLE `tiki_drawings` (
  `drawId` int(12) NOT NULL auto_increment,
  `version` int(8) default NULL,
  `name` varchar(250) default NULL,
  `filename_draw` varchar(250) default NULL,
  `filename_pad` varchar(250) default NULL,
  `timestamp` int(14) default NULL,
  `user` varchar(40) default NULL,
  PRIMARY KEY  (`drawId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_dsn` (
  `dsnId` int(12) NOT NULL auto_increment,
  `name` varchar(200) NOT NULL default '',
  `dsn` varchar(255) default NULL,
  PRIMARY KEY  (`dsnId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_dynamic_variables` (
  `name` varchar(40) NOT NULL default '',
  `data` text,
  PRIMARY KEY  (`name`)
) TYPE=MyISAM;
CREATE TABLE `tiki_eph` (
  `ephId` int(12) NOT NULL auto_increment,
  `title` varchar(250) default NULL,
  `isFile` char(1) default NULL,
  `filename` varchar(250) default NULL,
  `filetype` varchar(250) default NULL,
  `filesize` varchar(250) default NULL,
  `data` longblob,
  `textdata` longblob,
  `publish` int(14) default NULL,
  `hits` int(10) default NULL,
  PRIMARY KEY  (`ephId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_extwiki` (
  `extwikiId` int(12) NOT NULL auto_increment,
  `name` varchar(200) NOT NULL default '',
  `extwiki` varchar(255) default NULL,
  PRIMARY KEY  (`extwikiId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_faq_questions` (
  `questionId` int(10) NOT NULL auto_increment,
  `faqId` int(10) default NULL,
  `position` int(4) default NULL,
  `question` text,
  `answer` text,
  PRIMARY KEY  (`questionId`),
  KEY `faqId` (`faqId`),
  KEY `question` (`question`(255)),
  KEY `answer` (`answer`(255)),
  FULLTEXT KEY `ft` (`question`,`answer`)
) TYPE=MyISAM;
CREATE TABLE `tiki_faqs` (
  `faqId` int(10) NOT NULL auto_increment,
  `title` varchar(200) default NULL,
  `description` text,
  `created` int(14) default NULL,
  `questions` int(5) default NULL,
  `hits` int(8) default NULL,
  `canSuggest` char(1) default NULL,
  PRIMARY KEY  (`faqId`),
  KEY `title` (`title`),
  KEY `description` (`description`(255)),
  KEY `hits` (`hits`),
  FULLTEXT KEY `ft` (`title`,`description`)
) TYPE=MyISAM;
CREATE TABLE `tiki_featured_links` (
  `url` varchar(200) NOT NULL default '',
  `title` varchar(200) default NULL,
  `description` text,
  `hits` int(8) default NULL,
  `position` int(6) default NULL,
  `type` char(1) default NULL,
  PRIMARY KEY  (`url`)
) TYPE=MyISAM;
CREATE TABLE `tiki_file_galleries` (
  `galleryId` int(14) NOT NULL auto_increment,
  `name` varchar(80) NOT NULL default '',
  `description` text,
  `created` int(14) default NULL,
  `visible` char(1) default NULL,
  `lastModif` int(14) default NULL,
  `user` varchar(40) default NULL,
  `hits` int(14) default NULL,
  `votes` int(8) default NULL,
  `points` decimal(8,2) default NULL,
  `maxRows` int(10) default NULL,
  `public` char(1) default NULL,
  `show_id` char(1) default NULL,
  `show_icon` char(1) default NULL,
  `show_name` char(1) default NULL,
  `show_size` char(1) default NULL,
  `show_description` char(1) default NULL,
  `max_desc` int(8) default NULL,
  `show_created` char(1) default NULL,
  `show_dl` char(1) default NULL,
  PRIMARY KEY  (`galleryId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_file_handlers` (
  `mime_type` varchar(64) default NULL,
  `cmd` varchar(238) default NULL
) TYPE=MyISAM;
CREATE TABLE `tiki_files` (
  `fileId` int(14) NOT NULL auto_increment,
  `galleryId` int(14) NOT NULL default '0',
  `name` varchar(200) NOT NULL default '',
  `description` text,
  `created` int(14) default NULL,
  `filename` varchar(80) default NULL,
  `filesize` int(14) default NULL,
  `filetype` varchar(250) default NULL,
  `data` longblob,
  `user` varchar(40) default NULL,
  `downloads` int(14) default NULL,
  `votes` int(8) default NULL,
  `points` decimal(8,2) default NULL,
  `path` varchar(255) default NULL,
  `reference_url` varchar(250) default NULL,
  `is_reference` char(1) default NULL,
  `hash` varchar(32) default NULL,
  `search_data` longtext,
  `lastModif` int(14) default NULL,
  `lastModifUser` varchar(200) default NULL,
  PRIMARY KEY  (`fileId`),
  KEY `name` (`name`),
  KEY `description` (`description`(255)),
  KEY `downloads` (`downloads`),
  FULLTEXT KEY `ft` (`name`,`description`,`search_data`)
) TYPE=MyISAM;
CREATE TABLE `tiki_forum_attachments` (
  `attId` int(14) NOT NULL auto_increment,
  `threadId` int(14) NOT NULL default '0',
  `qId` int(14) NOT NULL default '0',
  `forumId` int(14) default NULL,
  `filename` varchar(250) default NULL,
  `filetype` varchar(250) default NULL,
  `filesize` int(12) default NULL,
  `data` longblob,
  `dir` varchar(200) default NULL,
  `created` int(14) default NULL,
  `path` varchar(250) default NULL,
  PRIMARY KEY  (`attId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_forum_reads` (
  `user` varchar(40) NOT NULL default '',
  `threadId` int(14) NOT NULL default '0',
  `forumId` int(14) default NULL,
  `timestamp` int(14) default NULL,
  PRIMARY KEY  (`user`,`threadId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_forums` (
  `forumId` int(8) NOT NULL auto_increment,
  `name` varchar(200) default NULL,
  `description` text,
  `created` int(14) default NULL,
  `lastPost` int(14) default NULL,
  `threads` int(8) default NULL,
  `comments` int(8) default NULL,
  `controlFlood` char(1) default NULL,
  `floodInterval` int(8) default NULL,
  `moderator` varchar(200) default NULL,
  `hits` int(8) default NULL,
  `mail` varchar(200) default NULL,
  `useMail` char(1) default NULL,
  `section` varchar(200) default NULL,
  `usePruneUnreplied` char(1) default NULL,
  `pruneUnrepliedAge` int(8) default NULL,
  `usePruneOld` char(1) default NULL,
  `pruneMaxAge` int(8) default NULL,
  `topicsPerPage` int(6) default NULL,
  `topicOrdering` varchar(100) default NULL,
  `threadOrdering` varchar(100) default NULL,
  `att` varchar(80) default NULL,
  `att_store` varchar(4) default NULL,
  `att_store_dir` varchar(250) default NULL,
  `att_max_size` int(12) default NULL,
  `ui_level` char(1) default NULL,
  `forum_password` varchar(32) default NULL,
  `forum_use_password` char(1) default NULL,
  `moderator_group` varchar(200) default NULL,
  `approval_type` varchar(20) default NULL,
  `outbound_address` varchar(250) default NULL,
  `outbound_mails_for_inbound_mails` char(1) default NULL,
  `outbound_mails_reply_link` char(1) default NULL,
  `outbound_from` varchar(250) default NULL,
  `inbound_pop_server` varchar(250) default NULL,
  `inbound_pop_port` int(4) default NULL,
  `inbound_pop_user` varchar(200) default NULL,
  `inbound_pop_password` varchar(80) default NULL,
  `topic_smileys` char(1) default NULL,
  `ui_avatar` char(1) default NULL,
  `ui_flag` char(1) default NULL,
  `ui_posts` char(1) default NULL,
  `ui_email` char(1) default NULL,
  `ui_online` char(1) default NULL,
  `topic_summary` char(1) default NULL,
  `show_description` char(1) default NULL,
  `topics_list_replies` char(1) default NULL,
  `topics_list_reads` char(1) default NULL,
  `topics_list_pts` char(1) default NULL,
  `topics_list_lastpost` char(1) default NULL,
  `topics_list_author` char(1) default NULL,
  `vote_threads` char(1) default NULL,
  `forum_last_n` int(2) default '0',
  PRIMARY KEY  (`forumId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_forums_queue` (
  `qId` int(14) NOT NULL auto_increment,
  `object` varchar(32) default NULL,
  `parentId` int(14) default NULL,
  `forumId` int(14) default NULL,
  `timestamp` int(14) default NULL,
  `user` varchar(40) default NULL,
  `title` varchar(240) default NULL,
  `data` text,
  `type` varchar(60) default NULL,
  `hash` varchar(32) default NULL,
  `topic_smiley` varchar(80) default NULL,
  `topic_title` varchar(240) default NULL,
  `summary` varchar(240) default NULL,
  PRIMARY KEY  (`qId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_forums_reported` (
  `threadId` int(12) NOT NULL default '0',
  `forumId` int(12) NOT NULL default '0',
  `parentId` int(12) NOT NULL default '0',
  `user` varchar(40) default NULL,
  `timestamp` int(14) default NULL,
  `reason` varchar(250) default NULL,
  PRIMARY KEY  (`threadId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_friends` (
  `user` char(40) NOT NULL default '',
  `friend` char(40) NOT NULL default '',
  PRIMARY KEY  (`user`,`friend`)
) TYPE=MyISAM;
CREATE TABLE `tiki_friendship_requests` (
  `userFrom` char(40) NOT NULL default '',
  `userTo` char(40) NOT NULL default '',
  `tstamp` timestamp NOT NULL,
  PRIMARY KEY  (`userFrom`,`userTo`)
) TYPE=MyISAM;
CREATE TABLE `tiki_galleries` (
  `galleryId` int(14) NOT NULL auto_increment,
  `name` varchar(80) NOT NULL default '',
  `description` text,
  `created` int(14) default NULL,
  `lastModif` int(14) default NULL,
  `visible` char(1) default NULL,
  `geographic` char(1) default NULL,
  `theme` varchar(60) default NULL,
  `user` varchar(40) default NULL,
  `hits` int(14) default NULL,
  `maxRows` int(10) default NULL,
  `rowImages` int(10) default NULL,
  `thumbSizeX` int(10) default NULL,
  `thumbSizeY` int(10) default NULL,
  `public` char(1) default NULL,
  `sortorder` varchar(20) NOT NULL default 'created',
  `sortdirection` varchar(4) NOT NULL default 'desc',
  `galleryimage` varchar(20) NOT NULL default 'first',
  `parentgallery` int(14) NOT NULL default '-1',
  `showname` char(1) NOT NULL default 'y',
  `showimageid` char(1) NOT NULL default 'n',
  `showdescription` char(1) NOT NULL default 'n',
  `showcreated` char(1) NOT NULL default 'n',
  `showuser` char(1) NOT NULL default 'n',
  `showhits` char(1) NOT NULL default 'y',
  `showxysize` char(1) NOT NULL default 'y',
  `showfilesize` char(1) NOT NULL default 'n',
  `showfilename` char(1) NOT NULL default 'n',
  `defaultscale` varchar(10) NOT NULL default 'o',
  PRIMARY KEY  (`galleryId`),
  KEY `name` (`name`),
  KEY `description` (`description`(255)),
  KEY `hits` (`hits`),
  FULLTEXT KEY `ft` (`name`,`description`)
) TYPE=MyISAM;
CREATE TABLE `tiki_galleries_scales` (
  `galleryId` int(14) NOT NULL default '0',
  `scale` int(11) NOT NULL default '0',
  PRIMARY KEY  (`galleryId`,`scale`)
) TYPE=MyISAM;
CREATE TABLE `tiki_games` (
  `gameName` varchar(200) NOT NULL default '',
  `hits` int(8) default NULL,
  `votes` int(8) default NULL,
  `points` int(8) default NULL,
  PRIMARY KEY  (`gameName`)
) TYPE=MyISAM;
CREATE TABLE `tiki_group_inclusion` (
  `groupName` varchar(255) NOT NULL default '',
  `includeGroup` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`groupName`(30),`includeGroup`(30))
) TYPE=MyISAM;
CREATE TABLE `tiki_history` (
  `pageName` varchar(160) NOT NULL default '',
  `version` int(8) NOT NULL default '0',
  `version_minor` int(8) NOT NULL default '0',
  `lastModif` int(14) default NULL,
  `description` varchar(200) default NULL,
  `user` varchar(40) default NULL,
  `ip` varchar(15) default NULL,
  `comment` varchar(200) default NULL,
  `data` longblob,
  PRIMARY KEY  (`pageName`,`version`)
) TYPE=MyISAM;
CREATE TABLE `tiki_hotwords` (
  `word` varchar(40) NOT NULL default '',
  `url` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`word`)
) TYPE=MyISAM;
CREATE TABLE `tiki_html_pages` (
  `pageName` varchar(200) NOT NULL default '',
  `content` longblob,
  `refresh` int(10) default NULL,
  `type` char(1) default NULL,
  `created` int(14) default NULL,
  PRIMARY KEY  (`pageName`)
) TYPE=MyISAM;
CREATE TABLE `tiki_html_pages_dynamic_zones` (
  `pageName` varchar(40) NOT NULL default '',
  `zone` varchar(80) NOT NULL default '',
  `type` char(2) default NULL,
  `content` text,
  PRIMARY KEY  (`pageName`,`zone`)
) TYPE=MyISAM;
CREATE TABLE `tiki_images` (
  `imageId` int(14) NOT NULL auto_increment,
  `galleryId` int(14) NOT NULL default '0',
  `name` varchar(200) NOT NULL default '',
  `description` text,
  `lon` float default NULL,
  `lat` float default NULL,
  `created` int(14) default NULL,
  `user` varchar(40) default NULL,
  `hits` int(14) default NULL,
  `path` varchar(255) default NULL,
  PRIMARY KEY  (`imageId`),
  KEY `name` (`name`),
  KEY `description` (`description`(255)),
  KEY `hits` (`hits`),
  KEY `ti_gId` (`galleryId`),
  KEY `ti_cr` (`created`),
  KEY `ti_us` (`user`),
  FULLTEXT KEY `ft` (`name`,`description`)
) TYPE=MyISAM;
CREATE TABLE `tiki_images_data` (
  `imageId` int(14) NOT NULL default '0',
  `xsize` int(8) NOT NULL default '0',
  `ysize` int(8) NOT NULL default '0',
  `type` char(1) NOT NULL default '',
  `filesize` int(14) default NULL,
  `filetype` varchar(80) default NULL,
  `filename` varchar(80) default NULL,
  `data` longblob,
  `etag` varchar(32) default NULL,
  PRIMARY KEY  (`imageId`,`xsize`,`ysize`,`type`),
  KEY `t_i_d_it` (`imageId`,`type`)
) TYPE=MyISAM;
CREATE TABLE `tiki_integrator_reps` (
  `repID` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `path` varchar(255) NOT NULL default '',
  `start_page` varchar(255) NOT NULL default '',
  `css_file` varchar(255) NOT NULL default '',
  `visibility` char(1) NOT NULL default 'y',
  `cacheable` char(1) NOT NULL default 'y',
  `expiration` int(11) NOT NULL default '0',
  `description` text NOT NULL,
  PRIMARY KEY  (`repID`)
) TYPE=MyISAM AUTO_INCREMENT=2;
INSERT INTO `tiki_integrator_reps` VALUES (1,'Doxygened (1.3.4) Documentation','','index.html','doxygen.css','n','y',0,'Use this repository as rule source for all your repositories based on doxygened docs. To setup yours just add new repository and copy rules from this repository :)');
CREATE TABLE `tiki_integrator_rules` (
  `ruleID` int(11) NOT NULL auto_increment,
  `repID` int(11) NOT NULL default '0',
  `ord` int(2) unsigned NOT NULL default '0',
  `srch` blob NOT NULL,
  `repl` blob NOT NULL,
  `type` char(1) NOT NULL default 'n',
  `casesense` char(1) NOT NULL default 'y',
  `rxmod` varchar(20) NOT NULL default '',
  `enabled` char(1) NOT NULL default 'n',
  `description` text NOT NULL,
  PRIMARY KEY  (`ruleID`),
  KEY `repID` (`repID`)
) TYPE=MyISAM AUTO_INCREMENT=4;
INSERT INTO `tiki_integrator_rules` VALUES (1,1,1,'.*<body[^>]*?>(.*?)</body.*','1','y','n','i','y','Extract code between <BODY> tags'),(2,1,2,'img src=(\"|\')(?!http://)','img src=1{path}/','y','n','i','y','Fix images path'),(3,1,3,'href=(\"|\')(?!(#|(http|ftp)://))','href=1tiki-integrator.php?repID={repID}&file=','y','n','i','y','Relace internal links to integrator. Dont touch an external links.');
CREATE TABLE `tiki_language` (
  `source` tinyblob NOT NULL,
  `lang` varchar(16) NOT NULL default '',
  `tran` tinyblob,
  PRIMARY KEY  (`source`(255),`lang`)
) TYPE=MyISAM;
CREATE TABLE `tiki_languages` (
  `lang` varchar(16) NOT NULL default '',
  `language` varchar(255) default NULL,
  PRIMARY KEY  (`lang`)
) TYPE=MyISAM;
INSERT INTO `tiki_languages` VALUES ('en','English');
CREATE TABLE `tiki_link_cache` (
  `cacheId` int(14) NOT NULL auto_increment,
  `url` varchar(250) default NULL,
  `data` longblob,
  `refresh` int(14) default NULL,
  PRIMARY KEY  (`cacheId`),
  KEY `urlindex` (`url`)
) TYPE=MyISAM;
CREATE TABLE `tiki_links` (
  `fromPage` varchar(160) NOT NULL default '',
  `toPage` varchar(160) NOT NULL default '',
  PRIMARY KEY  (`fromPage`,`toPage`)
) TYPE=MyISAM;
CREATE TABLE `tiki_live_support_events` (
  `eventId` int(14) NOT NULL auto_increment,
  `reqId` varchar(32) NOT NULL default '',
  `type` varchar(40) default NULL,
  `seqId` int(14) default NULL,
  `senderId` varchar(32) default NULL,
  `data` text,
  `timestamp` int(14) default NULL,
  PRIMARY KEY  (`eventId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_live_support_message_comments` (
  `cId` int(12) NOT NULL auto_increment,
  `msgId` int(12) default NULL,
  `data` text,
  `timestamp` int(14) default NULL,
  PRIMARY KEY  (`cId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_live_support_messages` (
  `msgId` int(12) NOT NULL auto_increment,
  `data` text,
  `timestamp` int(14) default NULL,
  `user` varchar(40) default NULL,
  `username` varchar(200) default NULL,
  `priority` int(2) default NULL,
  `status` char(1) default NULL,
  `assigned_to` varchar(200) default NULL,
  `resolution` varchar(100) default NULL,
  `title` varchar(200) default NULL,
  `module` int(4) default NULL,
  `email` varchar(250) default NULL,
  PRIMARY KEY  (`msgId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_live_support_modules` (
  `modId` int(4) NOT NULL auto_increment,
  `name` varchar(90) default NULL,
  PRIMARY KEY  (`modId`)
) TYPE=MyISAM AUTO_INCREMENT=8;
INSERT INTO `tiki_live_support_modules` VALUES (1,'wiki'),(2,'forums'),(3,'image galleries'),(4,'file galleries'),(5,'directory'),(6,'workflow'),(7,'charts');
CREATE TABLE `tiki_live_support_operators` (
  `user` varchar(40) NOT NULL default '',
  `accepted_requests` int(10) default NULL,
  `status` varchar(20) default NULL,
  `longest_chat` int(10) default NULL,
  `shortest_chat` int(10) default NULL,
  `average_chat` int(10) default NULL,
  `last_chat` int(14) default NULL,
  `time_online` int(10) default NULL,
  `votes` int(10) default NULL,
  `points` int(10) default NULL,
  `status_since` int(14) default NULL,
  PRIMARY KEY  (`user`)
) TYPE=MyISAM;
CREATE TABLE `tiki_live_support_requests` (
  `reqId` varchar(32) NOT NULL default '',
  `user` varchar(40) default NULL,
  `tiki_user` varchar(200) default NULL,
  `email` varchar(200) default NULL,
  `operator` varchar(200) default NULL,
  `operator_id` varchar(32) default NULL,
  `user_id` varchar(32) default NULL,
  `reason` text,
  `req_timestamp` int(14) default NULL,
  `timestamp` int(14) default NULL,
  `status` varchar(40) default NULL,
  `resolution` varchar(40) default NULL,
  `chat_started` int(14) default NULL,
  `chat_ended` int(14) default NULL,
  PRIMARY KEY  (`reqId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_logs` (
  `logId` int(8) NOT NULL auto_increment,
  `logtype` varchar(20) NOT NULL default '',
  `logmessage` text NOT NULL,
  `loguser` varchar(40) NOT NULL default '',
  `logip` varchar(200) NOT NULL default '',
  `logclient` text NOT NULL,
  `logtime` int(14) NOT NULL default '0',
  PRIMARY KEY  (`logId`),
  KEY `logtype` (`logtype`)
) TYPE=MyISAM;
CREATE TABLE `tiki_mail_events` (
  `event` varchar(200) default NULL,
  `object` varchar(200) default NULL,
  `email` varchar(200) default NULL
) TYPE=MyISAM;
CREATE TABLE `tiki_mailin_accounts` (
  `accountId` int(12) NOT NULL auto_increment,
  `user` varchar(40) NOT NULL default '',
  `account` varchar(50) NOT NULL default '',
  `pop` varchar(255) default NULL,
  `port` int(4) default NULL,
  `username` varchar(100) default NULL,
  `pass` varchar(100) default NULL,
  `active` char(1) default NULL,
  `type` varchar(40) default NULL,
  `smtp` varchar(255) default NULL,
  `useAuth` char(1) default NULL,
  `smtpPort` int(4) default NULL,
  `anonymous` char(1) NOT NULL default 'y',
  `attachments` char(1) NOT NULL default 'n',
  `article_topicId` int(4) default NULL,
  `article_type` varchar(50) default NULL,
  `discard_after` varchar(255) default NULL,
  PRIMARY KEY  (`accountId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_menu_languages` (
  `menuId` int(8) NOT NULL auto_increment,
  `language` char(16) NOT NULL default '',
  PRIMARY KEY  (`menuId`,`language`)
) TYPE=MyISAM;
CREATE TABLE `tiki_menu_options` (
  `optionId` int(8) NOT NULL auto_increment,
  `menuId` int(8) default NULL,
  `type` char(1) default NULL,
  `name` varchar(200) default NULL,
  `url` varchar(255) default NULL,
  `position` int(4) default NULL,
  `section` varchar(255) default NULL,
  `perm` varchar(255) default NULL,
  `groupname` varchar(255) default NULL,
  PRIMARY KEY  (`optionId`)
) TYPE=MyISAM AUTO_INCREMENT=171;
INSERT INTO `tiki_menu_options` VALUES (1,42,'o','Home','tiki-index.php',10,'','',''),(2,42,'o','Chat','tiki-chat.php',15,'feature_chat','tiki_p_chat',''),(3,42,'o','Contact us','tiki-contact.php',20,'feature_contact','',''),(4,42,'o','Stats','tiki-stats.php',23,'feature_stats','tiki_p_view_stats',''),(5,42,'o','Categories','tiki-browse_categories.php',25,'feature_categories','tiki_p_view_categories',''),(6,42,'o','Games','tiki-list_games.php',30,'feature_games','tiki_p_play_games',''),(7,42,'o','Calendar','tiki-calendar.php',35,'feature_calendar','tiki_p_view_calendar',''),(8,42,'o','Mobile','tiki-mobile.php',37,'feature_mobile','',''),(9,42,'o','(debug)','javascript:toggle(\"debugconsole\")',40,'feature_debug_console','tiki_p_admin',''),(10,42,'s','MyTiki','tiki-my_tiki.php',50,'','','Registered'),(11,42,'o','MyTiki home','tiki-my_tiki.php',51,'','','Registered'),(12,42,'o','Preferences','tiki-user_preferences.php',55,'feature_userPreferences','','Registered'),(13,42,'o','Messages','messu-mailbox.php',60,'feature_messages','tiki_p_messages','Registered'),(14,42,'o','Tasks','tiki-user_tasks.php',65,'feature_tasks','tiki_p_tasks','Registered'),(15,42,'o','Bookmarks','tiki-user_bookmarks.php',70,'feature_user_bookmarks','tiki_p_create_bookmarks','Registered'),(16,42,'o','Modules','tiki-user_assigned_modules.php',75,'user_assigned_modules','tiki_p_configure_modules','Registered'),(17,42,'o','Newsreader','tiki-newsreader_servers.php',80,'feature_newsreader','tiki_p_newsreader','Registered'),(18,42,'o','Webmail','tiki-webmail.php',85,'feature_webmail','tiki_p_use_webmail','Registered'),(19,42,'o','Notepad','tiki-notepad_list.php',90,'feature_notepad','tiki_p_notepad','Registered'),(20,42,'o','My files','tiki-userfiles.php',95,'feature_userfiles','tiki_p_userfiles','Registered'),(21,42,'o','User menu','tiki-usermenu.php',100,'feature_usermenu','','Registered'),(22,42,'o','Mini calendar','tiki-minical.php',105,'feature_minical','','Registered'),(23,42,'o','My watches','tiki-user_watches.php',110,'feature_user_watches','','Registered'),(24,42,'s','Workflow','tiki-g-user_processes.php',150,'feature_workflow','tiki_p_use_workflow',''),(25,42,'o','Admin processes','tiki-g-admin_processes.php',155,'feature_workflow','tiki_p_admin_workflow',''),(26,42,'o','Monitor processes','tiki-g-monitor_processes.php',160,'feature_workflow','tiki_p_admin_workflow',''),(27,42,'o','Monitor activities','tiki-g-monitor_activities.php',165,'feature_workflow','tiki_p_admin_workflow',''),(28,42,'o','Monitor instances','tiki-g-monitor_instances.php',170,'feature_workflow','tiki_p_admin_workflow',''),(29,42,'o','User processes','tiki-g-user_processes.php',175,'feature_workflow','tiki_p_use_workflow',''),(30,42,'o','User activities','tiki-g-user_activities.php',180,'feature_workflow','tiki_p_use_workflow',''),(31,42,'o','User instances','tiki-g-user_instances.php',185,'feature_workflow','tiki_p_use_workflow',''),(32,42,'s','Community','tiki-list_users.php',187,'feature_friends','tiki_p_list_users',''),(33,42,'o','User list','tiki-list_users.php',188,'feature_friends','tiki_p_list_users',''),(34,42,'o','Friendship Network','tiki-friends.php',189,'feature_friends','',''),(35,42,'s','Wiki','tiki-index.php',200,'feature_wiki','tiki_p_view',''),(36,42,'o','Wiki Home','tiki-index.php',202,'feature_wiki','tiki_p_view',''),(37,42,'o','Last Changes','tiki-lastchanges.php',205,'feature_wiki,feature_lastChanges','tiki_p_view',''),(38,42,'o','Dump','dump/new.tar',210,'feature_wiki,feature_dump','tiki_p_view',''),(39,42,'o','Rankings','tiki-wiki_rankings.php',215,'feature_wiki,feature_wiki_rankings','tiki_p_view',''),(40,42,'o','List pages','tiki-listpages.php',220,'feature_wiki,feature_listPages','tiki_p_view',''),(41,42,'o','Orphan pages','tiki-orphan_pages.php',225,'feature_wiki,feature_listPages','tiki_p_view',''),(42,42,'o','Sandbox','tiki-editpage.php?page=sandbox',230,'feature_wiki,feature_sandbox','tiki_p_view',''),(43,42,'o','Print','tiki-print_pages.php',235,'feature_wiki,feature_wiki_multiprint','tiki_p_view',''),(44,42,'o','Send pages','tiki-send_objects.php',240,'feature_wiki,feature_comm','tiki_p_view,tiki_p_send_pages',''),(45,42,'o','Received pages','tiki-received_pages.php',245,'feature_wiki,feature_comm','tiki_p_view,tiki_p_admin_received_pages',''),(46,42,'o','Structures','tiki-admin_structures.php',250,'feature_wiki','tiki_p_edit_structures',''),(47,42,'s','Image Galleries','tiki-galleries.php',300,'feature_galleries','tiki_p_view_image_gallery',''),(48,42,'o','Galleries','tiki-galleries.php',305,'feature_galleries','tiki_p_view_image_gallery',''),(49,42,'o','Rankings','tiki-galleries_rankings.php',310,'feature_galleries,feature_gal_rankings','tiki_p_view_image_gallery',''),(50,42,'o','Upload image','tiki-upload_image.php',315,'feature_galleries','tiki_p_upload_images',''),(51,42,'o','Directory batch','tiki-batch_upload.php',318,'feature_galleries,feature_gal_batch','tiki_p_batch_upload',''),(52,42,'o','System gallery','tiki-list_gallery.php?galleryId=0',320,'feature_galleries','tiki_p_admin_galleries',''),(53,42,'s','Articles','tiki-view_articles.php',350,'feature_articles','tiki_p_read_article',''),(54,42,'o','Articles home','tiki-view_articles.php',355,'feature_articles','tiki_p_read_article',''),(55,42,'o','List articles','tiki-list_articles.php',360,'feature_articles','tiki_p_read_article',''),(56,42,'o','Rankings','tiki-cms_rankings.php',365,'feature_articles,feature_cms_rankings','tiki_p_read_article',''),(57,42,'o','Submit article','tiki-edit_submission.php',370,'feature_articles,feature_submissions','tiki_p_read_article,tiki_p_submit_article',''),(58,42,'o','View submissions','tiki-list_submissions.php',375,'feature_articles,feature_submissions','tiki_p_read_article,tiki_p_submit_article',''),(59,42,'o','View submissions','tiki-list_submissions.php',375,'feature_articles,feature_submissions','tiki_p_read_article,tiki_p_approve_submission',''),(60,42,'o','View submissions','tiki-list_submissions.php',375,'feature_articles,feature_submissions','tiki_p_read_article,tiki_p_remove_submission',''),(61,42,'o','Edit article','tiki-edit_article.php',380,'feature_articles','tiki_p_read_article,tiki_p_edit_article',''),(62,42,'o','Send articles','tiki-send_objects.php',385,'feature_articles,feature_comm','tiki_p_read_article,tiki_p_send_articles',''),(63,42,'o','Received articles','tiki-received_articles.php',385,'feature_articles,feature_comm','tiki_p_read_article,tiki_p_admin_received_articles',''),(64,42,'o','Admin topics','tiki-admin_topics.php',390,'feature_articles','tiki_p_read_article,tiki_p_admin_cms',''),(65,42,'o','Admin types','tiki-article_types.php',395,'feature_articles','tiki_p_read_article,tiki_p_admin_cms',''),(66,42,'s','Blogs','tiki-list_blogs.php',450,'feature_blogs','tiki_p_read_blog',''),(67,42,'o','List blogs','tiki-list_blogs.php',455,'feature_blogs','tiki_p_read_blog',''),(68,42,'o','Rankings','tiki-blog_rankings.php',460,'feature_blogs,feature_blog_rankings','tiki_p_read_blog',''),(69,42,'o','Create/Edit blog','tiki-edit_blog.php',465,'feature_blogs','tiki_p_read_blog,tiki_p_create_blogs',''),(70,42,'o','Post','tiki-blog_post.php',470,'feature_blogs','tiki_p_read_blog,tiki_p_blog_post',''),(71,42,'o','Admin posts','tiki-list_posts.php',475,'feature_blogs','tiki_p_read_blog,tiki_p_blog_admin',''),(72,42,'s','Forums','tiki-forums.php',500,'feature_forums','tiki_p_forum_read',''),(73,42,'o','List forums','tiki-forums.php',505,'feature_forums','tiki_p_forum_read',''),(74,42,'o','Rankings','tiki-forum_rankings.php',510,'feature_forums,feature_forum_rankings','tiki_p_forum_read',''),(75,42,'o','Admin forums','tiki-admin_forums.php',515,'feature_forums','tiki_p_forum_read,tiki_p_admin_forum',''),(76,42,'s','Directory','tiki-directory_browse.php',550,'feature_directory','tiki_p_view_directory',''),(77,42,'o','Submit a new link','tiki-directory_add_site.php',555,'feature_directory','tiki_p_submit_link',''),(78,42,'o','Browse directory','tiki-directory_browse.php',560,'feature_directory','tiki_p_view_directory',''),(79,42,'o','Admin directory','tiki-directory_admin.php',565,'feature_directory','tiki_p_view_directory,tiki_p_admin_directory_cats',''),(80,42,'o','Admin directory','tiki-directory_admin.php',565,'feature_directory','tiki_p_view_directory,tiki_p_admin_directory_sites',''),(81,42,'o','Admin directory','tiki-directory_admin.php',565,'feature_directory','tiki_p_view_directory,tiki_p_validate_links',''),(82,42,'s','File Galleries','tiki-file_galleries.php',600,'feature_file_galleries','tiki_p_view_file_gallery',''),(83,42,'o','List galleries','tiki-file_galleries.php',605,'feature_file_galleries','tiki_p_view_file_gallery',''),(84,42,'o','Rankings','tiki-file_galleries_rankings.php',610,'feature_file_galleries,feature_file_galleries_rankings','tiki_p_view_file_gallery',''),(85,42,'o','Upload file','tiki-upload_file.php',615,'feature_file_galleries','tiki_p_view_file_gallery,tiki_p_upload_files',''),(86,42,'s','FAQs','tiki-list_faqs.php',650,'feature_faqs','tiki_p_view_faqs',''),(87,42,'o','List FAQs','tiki-list_faqs.php',665,'feature_faqs','tiki_p_view_faqs',''),(88,42,'o','Admin FAQs','tiki-list_faqs.php',660,'feature_faqs','tiki_p_admin_faqs',''),(89,42,'s','Maps','tiki-map.phtml',700,'feature_maps','tiki_p_map_view',''),(90,42,'o','Mapfiles','tiki-map_edit.php',705,'feature_maps','tiki_p_map_view',''),(91,42,'o','Layer management','tiki-map_upload.php',710,'feature_maps','tiki_p_map_edit',''),(92,42,'s','Quizzes','tiki-list_quizzes.php',750,'feature_quizzes','',''),(93,42,'o','List quizzes','tiki-list_quizzes.php',755,'feature_quizzes','',''),(94,42,'o','Quiz stats','tiki-quiz_stats.php',760,'feature_quizzes','tiki_p_view_quiz_stats',''),(95,42,'o','Admin quiz','tiki-edit_quiz.php',765,'feature_quizzes','tiki_p_admin_quizzes',''),(96,42,'s','TikiSheet','tiki-sheets.php',780,'feature_sheet','',''),(97,42,'s','Trackers','tiki-list_trackers.php',800,'feature_trackers','tiki_p_view_trackers',''),(98,42,'o','List trackers','tiki-list_trackers.php',805,'feature_trackers','tiki_p_view_trackers',''),(99,42,'o','Admin trackers','tiki-admin_trackers.php',810,'feature_trackers','tiki_p_admin_trackers',''),(100,42,'s','Surveys','tiki-list_surveys.php',850,'feature_surveys','',''),(101,42,'o','List surveys','tiki-list_surveys.php',855,'feature_surveys','',''),(102,42,'o','Stats','tiki-survey_stats.php',860,'feature_surveys','tiki_p_view_survey_stats',''),(103,42,'o','Admin surveys','tiki-admin_surveys.php',865,'feature_surveys','tiki_p_admin_surveys',''),(104,42,'s','Newsletters','tiki-newsletters.php',900,'feature_newsletters','tiki_p_subscribe_newsletters',''),(105,42,'s','Newsletters','tiki-newsletters.php',900,'feature_newsletters','tiki_p_send_newsletters',''),(106,42,'s','Newsletters','tiki-newsletters.php',900,'feature_newsletters','tiki_p_admin_newsletters',''),(107,42,'o','Send newsletters','tiki-send_newsletters.php',905,'feature_newsletters','tiki_p_send_newsletters',''),(108,42,'o','Admin newsletters','tiki-admin_newsletters.php',910,'feature_newsletters','tiki_p_admin_newsletters',''),(109,42,'s','Ephemerides','tiki-eph.php',950,'feature_eph','',''),(110,42,'o','Admin ephemerides','tiki-eph_admin.php',955,'feature_eph','tiki_p_eph_admin',''),(111,42,'s','Charts','tiki-charts.php',1000,'feature_charts','',''),(112,42,'o','Admin charts','tiki-admin_charts.php',1005,'feature_charts','tiki_p_admin_charts',''),(113,42,'r','Admin','tiki-admin.php',1050,'','tiki_p_admin',''),(114,42,'r','Admin','tiki-admin.php',1050,'','tiki_p_admin_chat',''),(115,42,'r','Admin','tiki-admin.php',1050,'','tiki_p_admin_categories',''),(116,42,'r','Admin','tiki-admin.php',1050,'','tiki_p_admin_banners',''),(117,42,'r','Admin','tiki-admin.php',1050,'','tiki_p_edit_templates',''),(118,42,'r','Admin','tiki-admin.php',1050,'','tiki_p_edit_cookies',''),(119,42,'r','Admin','tiki-admin.php',1050,'','tiki_p_admin_dynamic',''),(120,42,'r','Admin','tiki-admin.php',1050,'','tiki_p_admin_mailin',''),(121,42,'r','Admin','tiki-admin.php',1050,'','tiki_p_edit_content_templates',''),(122,42,'r','Admin','tiki-admin.php',1050,'','tiki_p_edit_html_pages',''),(123,42,'r','Admin','tiki-admin.php',1050,'','tiki_p_view_referer_stats',''),(124,42,'r','Admin','tiki-admin.php',1050,'','tiki_p_admin_drawings',''),(125,42,'r','Admin','tiki-admin.php',1050,'','tiki_p_admin_shoutbox',''),(126,42,'r','Admin','tiki-admin.php',1050,'','tiki_p_live_support_admin',''),(127,42,'r','Admin','tiki-admin.php',1050,'','user_is_operator',''),(128,42,'r','Admin','tiki-admin.php',1050,'feature_integrator','tiki_p_admin_integrator',''),(129,42,'o','Admin home','tiki-admin.php',1051,'','tiki_p_admin',''),(130,42,'o','Live support','tiki-live_support_admin.php',1055,'feature_live_support','tiki_p_live_support_admin',''),(131,42,'o','Live support','tiki-live_support_admin.php',1055,'feature_live_support','user_is_operator',''),(132,42,'o','Banning','tiki-admin_banning.php',1060,'feature_banning','tiki_p_admin_banning',''),(133,42,'o','Calendar','tiki-admin_calendars.php',1065,'feature_calendar','tiki_p_admin_calendar',''),(134,42,'o','Users','tiki-adminusers.php',1070,'','tiki_p_admin_users',''),(135,42,'o','Groups','tiki-admingroups.php',1075,'','tiki_p_admin',''),(136,42,'o','Cache','tiki-list_cache.php',1080,'','tiki_p_admin',''),(137,42,'o','Modules','tiki-admin_modules.php',1085,'','tiki_p_admin',''),(138,42,'o','Links','tiki-admin_links.php',1090,'feature_featuredLinks','tiki_p_admin',''),(139,42,'o','Hotwords','tiki-admin_hotwords.php',1095,'feature_hotwords','tiki_p_admin',''),(140,42,'o','RSS modules','tiki-admin_rssmodules.php',1100,'','tiki_p_admin',''),(141,42,'o','Menus','tiki-admin_menus.php',1105,'','tiki_p_admin',''),(142,42,'o','Polls','tiki-admin_polls.php',1110,'feature_polls','tiki_p_admin',''),(143,42,'o','Backups','tiki-backup.php',1115,'','tiki_p_admin',''),(144,42,'o','Mail notifications','tiki-admin_notifications.php',1120,'','tiki_p_admin',''),(145,42,'o','Search stats','tiki-search_stats.php',1125,'feature_search','tiki_p_admin',''),(146,42,'o','Theme control','tiki-theme_control.php',1130,'feature_theme_control','tiki_p_admin',''),(147,42,'o','QuickTags','tiki-admin_quicktags.php',1135,'','tiki_p_admin',''),(148,42,'o','Chat','tiki-admin_chat.php',1140,'feature_chat','tiki_p_admin_chat',''),(149,42,'o','Categories','tiki-admin_categories.php',1145,'feature_categories','tiki_p_admin_categories',''),(150,42,'o','Banners','tiki-list_banners.php',1150,'feature_banners','tiki_p_admin_banners',''),(151,42,'o','Edit templates','tiki-edit_templates.php',1155,'feature_edit_templates','tiki_p_edit_templates',''),(152,42,'o','Drawings','tiki-admin_drawings.php',1160,'feature_drawings','tiki_p_admin_drawings',''),(153,42,'o','Dynamic content','tiki-list_contents.php',1165,'feature_dynamic_content','tiki_p_admin_dynamic',''),(154,42,'o','Cookies','tiki-admin_cookies.php',1170,'','tiki_p_edit_cookies',''),(155,42,'o','Mail-in','tiki-admin_mailin.php',1175,'feature_mailin','tiki_p_admin_mailin',''),(156,42,'o','Content templates','tiki-admin_content_templates.php',1180,'','tiki_p_edit_content_templates',''),(157,42,'o','HTML pages','tiki-admin_html_pages.php',1185,'feature_html_pages','tiki_p_edit_html_pages',''),(158,42,'o','Shoutbox','tiki-shoutbox.php',1190,'feature_shoutbox','tiki_p_admin_shoutbox',''),(159,42,'o','Shoutbox Words','tiki-admin_shoutbox_words.php',1191,'feature_shoutbox','tiki_p_admin_shoutbox',''),(160,42,'o','Referer stats','tiki-referer_stats.php',1195,'feature_referer_stats','tiki_p_view_referer_stats',''),(161,42,'o','Edit languages','tiki-edit_languages.php',1200,'','tiki_p_edit_languages,lang_use_db',''),(162,42,'o','Integrator','tiki-admin_integrator.php',1205,'feature_integrator','tiki_p_admin_integrator',''),(163,42,'o','phpinfo','tiki-phpinfo.php',1215,'','tiki_p_admin',''),(164,42,'o','DSN','tiki-admin_dsn.php',1220,'','tiki_p_admin',''),(165,42,'o','External wikis','tiki-admin_external_wikis.php',1225,'','tiki_p_admin',''),(166,42,'o','System Admin','tiki-admin_system.php',1230,'','tiki_p_admin',''),(167,42,'o','Score','tiki-admin_score.php',1235,'feature_score','tiki_p_admin',''),(168,42,'o','Admin mods','tiki-mods.php',1240,'','tiki_p_admin',''),(169,42,'o','Tiki Logs','tiki-syslog.php',1245,'','tiki_p_admin',''),(170,42,'o','Security Admin','tiki-admin_security.php',1250,'','tiki_p_admin','');
CREATE TABLE `tiki_menus` (
  `menuId` int(8) NOT NULL auto_increment,
  `name` varchar(200) NOT NULL default '',
  `description` text,
  `type` char(1) default NULL,
  PRIMARY KEY  (`menuId`)
) TYPE=MyISAM AUTO_INCREMENT=43;
INSERT INTO `tiki_menus` VALUES (42,'Application menu','Main extensive navigation menu','d');
CREATE TABLE `tiki_minical_events` (
  `user` varchar(40) default NULL,
  `eventId` int(12) NOT NULL auto_increment,
  `title` varchar(250) default NULL,
  `description` text,
  `start` int(14) default NULL,
  `end` int(14) default NULL,
  `security` char(1) default NULL,
  `duration` int(3) default NULL,
  `topicId` int(12) default NULL,
  `reminded` char(1) default NULL,
  PRIMARY KEY  (`eventId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_minical_topics` (
  `user` varchar(40) default NULL,
  `topicId` int(12) NOT NULL auto_increment,
  `name` varchar(250) default NULL,
  `filename` varchar(200) default NULL,
  `filetype` varchar(200) default NULL,
  `filesize` varchar(200) default NULL,
  `data` longblob,
  `path` varchar(250) default NULL,
  `isIcon` char(1) default NULL,
  PRIMARY KEY  (`topicId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_modules` (
  `name` varchar(200) NOT NULL default '',
  `position` char(1) default NULL,
  `ord` int(4) default NULL,
  `type` char(1) default NULL,
  `title` varchar(255) default NULL,
  `cache_time` int(14) default NULL,
  `rows` int(4) default NULL,
  `params` varchar(255) default NULL,
  `groups` text,
  PRIMARY KEY  (`name`)
) TYPE=MyISAM;
INSERT INTO `tiki_modules` VALUES ('login_box','r',1,NULL,NULL,0,NULL,NULL,'a:2:{i:0;s:10:\"Registered\";i:1;s:9:\"Anonymous\";}'),('mnu_application_menu','l',1,NULL,NULL,0,NULL,'flip=y','a:2:{i:0;s:10:\"Registered\";i:1;s:9:\"Anonymous\";}'),('quick_edit','l',2,NULL,NULL,0,NULL,NULL,'a:1:{i:0;s:10:\"Registered\";}'),('assistant','l',10,NULL,NULL,0,NULL,NULL,'a:2:{i:0;s:10:\"Registered\";i:1;s:9:\"Anonymous\";}');
CREATE TABLE `tiki_newsletter_groups` (
  `nlId` int(12) NOT NULL default '0',
  `groupName` varchar(255) NOT NULL default '',
  `code` varchar(32) default NULL,
  PRIMARY KEY  (`nlId`,`groupName`)
) TYPE=MyISAM;
CREATE TABLE `tiki_newsletter_subscriptions` (
  `nlId` int(12) NOT NULL default '0',
  `email` varchar(255) NOT NULL default '',
  `code` varchar(32) default NULL,
  `valid` char(1) default NULL,
  `subscribed` int(14) default NULL,
  `isUser` char(1) NOT NULL default 'n',
  PRIMARY KEY  (`nlId`,`email`,`isUser`)
) TYPE=MyISAM;
CREATE TABLE `tiki_newsletters` (
  `nlId` int(12) NOT NULL auto_increment,
  `name` varchar(200) default NULL,
  `description` text,
  `created` int(14) default NULL,
  `lastSent` int(14) default NULL,
  `editions` int(10) default NULL,
  `users` int(10) default NULL,
  `allowUserSub` char(1) default 'y',
  `allowAnySub` char(1) default NULL,
  `unsubMsg` char(1) default 'y',
  `validateAddr` char(1) default 'y',
  `frequency` int(14) default NULL,
  PRIMARY KEY  (`nlId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_newsreader_marks` (
  `user` varchar(40) NOT NULL default '',
  `serverId` int(12) NOT NULL default '0',
  `groupName` varchar(255) NOT NULL default '',
  `timestamp` int(14) NOT NULL default '0',
  PRIMARY KEY  (`user`,`serverId`,`groupName`(100))
) TYPE=MyISAM;
CREATE TABLE `tiki_newsreader_servers` (
  `user` varchar(40) NOT NULL default '',
  `serverId` int(12) NOT NULL auto_increment,
  `server` varchar(250) default NULL,
  `port` int(4) default NULL,
  `username` varchar(200) default NULL,
  `password` varchar(200) default NULL,
  PRIMARY KEY  (`serverId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_object_ratings` (
  `catObjectId` int(12) NOT NULL default '0',
  `pollId` int(12) NOT NULL default '0',
  PRIMARY KEY  (`catObjectId`,`pollId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_page_footnotes` (
  `user` varchar(40) NOT NULL default '',
  `pageName` varchar(250) NOT NULL default '',
  `data` text,
  PRIMARY KEY  (`user`,`pageName`(100))
) TYPE=MyISAM;
CREATE TABLE `tiki_pages` (
  `page_id` int(14) NOT NULL auto_increment,
  `pageName` varchar(160) NOT NULL default '',
  `hits` int(8) default NULL,
  `data` text,
  `description` varchar(200) default NULL,
  `lastModif` int(14) default NULL,
  `comment` varchar(200) default NULL,
  `version` int(8) NOT NULL default '0',
  `user` varchar(40) default NULL,
  `ip` varchar(15) default NULL,
  `flag` char(1) default NULL,
  `points` int(8) default NULL,
  `votes` int(8) default NULL,
  `cache` text,
  `wiki_cache` int(10) default NULL,
  `cache_timestamp` int(14) default NULL,
  `pageRank` decimal(4,3) default NULL,
  `creator` varchar(200) default NULL,
  `page_size` int(10) unsigned default '0',
  `lang` varchar(16) default NULL,
  `lockedby` varchar(200) default NULL,
  `is_html` tinyint(1) default '0',
  `created` int(14) default NULL,
  PRIMARY KEY  (`page_id`),
  UNIQUE KEY `pageName` (`pageName`),
  KEY `data` (`data`(255)),
  KEY `pageRank` (`pageRank`),
  FULLTEXT KEY `ft` (`pageName`,`description`,`data`)
) TYPE=MyISAM AUTO_INCREMENT=2;
INSERT INTO `tiki_pages` VALUES (1,'HomePage',2,'','',1171638297,'Tiki initialization',1,'admin','0.0.0.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'admin',0,NULL,NULL,0,1171638297);
CREATE TABLE `tiki_pageviews` (
  `day` int(14) NOT NULL default '0',
  `pageviews` int(14) default NULL,
  PRIMARY KEY  (`day`)
) TYPE=MyISAM;
CREATE TABLE `tiki_poll_objects` (
  `catObjectId` int(11) NOT NULL default '0',
  `pollId` int(11) NOT NULL default '0',
  `title` varchar(255) default NULL,
  PRIMARY KEY  (`catObjectId`,`pollId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_poll_options` (
  `pollId` int(8) NOT NULL default '0',
  `optionId` int(8) NOT NULL auto_increment,
  `title` varchar(200) default NULL,
  `position` int(4) NOT NULL default '0',
  `votes` int(8) default NULL,
  PRIMARY KEY  (`optionId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_polls` (
  `pollId` int(8) NOT NULL auto_increment,
  `title` varchar(200) default NULL,
  `votes` int(8) default NULL,
  `active` char(1) default NULL,
  `publishDate` int(14) default NULL,
  PRIMARY KEY  (`pollId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_preferences` (
  `name` varchar(40) NOT NULL default '',
  `value` varchar(250) default NULL,
  PRIMARY KEY  (`name`)
) TYPE=MyISAM;
INSERT INTO `tiki_preferences` VALUES ('allowRegister','n'),('anonCanEdit','n'),('art_list_author','y'),('art_list_date','y'),('art_list_expire','y'),('art_list_img','y'),('art_list_reads','y'),('art_list_size','y'),('art_list_title','y'),('art_list_topic','y'),('art_list_type','y'),('art_list_visible','y'),('article_comments_default_ordering','points_desc'),('article_comments_per_page','10'),('auth_create_user_auth','n'),('auth_create_user_tiki','n'),('auth_imap_pop3_basedsn',''),('auth_ldap_adminpass',''),('auth_ldap_adminuser',''),('auth_ldap_basedn',''),('auth_ldap_groupattr','cn'),('auth_ldap_groupdn',''),('auth_ldap_groupoc','groupOfUniqueNames'),('auth_ldap_memberattr','uniqueMember'),('auth_ldap_memberisdn','n'),('auth_ldap_scope','sub'),('auth_ldap_url',''),('auth_ldap_userattr','uid'),('auth_ldap_userdn',''),('auth_ldap_useroc','inetOrgPerson'),('auth_method','tiki'),('auth_pear_host','localhost'),('auth_pear_port','389'),('auth_skip_admin','y'),('auth_type','LDAP'),('available_languages','a:0:{}'),('available_styles','a:0:{}'),('blog_comments_default_ordering','points_desc'),('blog_comments_per_page','10'),('blog_list_activity','y'),('blog_list_created','y'),('blog_list_description','y'),('blog_list_lastmodif','y'),('blog_list_order','created_desc'),('blog_list_posts','y'),('blog_list_title','y'),('blog_list_user','n'),('blog_list_visits','y'),('blog_spellcheck','n'),('cacheimages','n'),('cachepages','n'),('calendar_sticky_popup','n'),('calendar_view_tab','n'),('change_language','y'),('change_password','y'),('change_theme','y'),('cms_bot_bar','y'),('cms_left_column','y'),('cms_right_column','y'),('cms_spellcheck','n'),('cms_top_bar','n'),('contact_anon','n'),('contact_user','admin'),('count_admin_pvs','y'),('default_map','pacific.map'),('default_wiki_diff_style','minsidediff'),('direct_pagination','n'),('directory_columns','3'),('directory_cool_sites','y'),('directory_links_per_page','20'),('directory_open_links','n'),('directory_validate_urls','n'),('display_timezone','EST'),('eponymousGroups','n'),('faq_comments_default_ordering','points_desc'),('faq_comments_per_page','10'),('feature_article_comments','n'),('feature_articles','n'),('feature_autolinks','y'),('feature_babelfish','n'),('feature_babelfish_logo','n'),('feature_backlinks','y'),('feature_banners','n'),('feature_banning','n'),('feature_blog_comments','n'),('feature_blog_rankings','y'),('feature_blogposts_comments','n'),('feature_blogposts_pings','y'),('feature_blogs','n'),('feature_bot_bar','y'),('feature_bot_bar_debug','y'),('feature_bot_bar_icons','y'),('feature_calendar','n'),('feature_categories','n'),('feature_categoryobjects','n'),('feature_categorypath','n'),('feature_challenge','n'),('feature_charts','n'),('feature_chat','n'),('feature_clear_passwords','n'),('feature_cms_print','y'),('feature_cms_rankings','y'),('feature_cms_templates','n'),('feature_comm','n'),('feature_contact','n'),('feature_custom_home','n'),('feature_debug_console','n'),('feature_debugger_console','n'),('feature_detect_language','n'),('feature_directory','n'),('feature_drawings','n'),('feature_dump','n'),('feature_dynamic_content','n'),('feature_edit_templates','n'),('feature_editcss','n'),('feature_eph','n'),('feature_faq_comments','y'),('feature_faqs','n'),('feature_featuredLinks','y'),('feature_file_galleries','n'),('feature_file_galleries_comments','n'),('feature_file_galleries_rankings','n'),('feature_forum_parse','n'),('feature_forum_quickjump','n'),('feature_forum_rankings','y'),('feature_forum_topicd','n'),('feature_forums','n'),('feature_friends','n'),('feature_gal_batch','n'),('feature_gal_imgcache','n'),('feature_gal_rankings','y'),('feature_gal_slideshow','y'),('feature_galleries','n'),('feature_games','n'),('feature_help','n'),('feature_history','y'),('feature_hotwords','y'),('feature_hotwords_nw','n'),('feature_html_pages','n'),('feature_image_galleries_comments','n'),('feature_integrator','n'),('feature_jscalendar','n'),('feature_lastChanges','y'),('feature_left_column','y'),('feature_likePages','y'),('feature_listPages','y'),('feature_live_support','n'),('feature_maps','n'),('feature_menusfolderstyle','y'),('feature_messages','n'),('feature_minical','n'),('feature_mobile','n'),('feature_modulecontrols','n'),('feature_multilingual','n'),('feature_newsletters','n'),('feature_newsreader','n'),('feature_notepad','n'),('feature_obzip','n'),('feature_page_title','y'),('feature_phplayers','n'),('feature_phpopentracker','n'),('feature_poll_anonymous','n'),('feature_poll_comments','n'),('feature_polls','n'),('feature_quizzes','n'),('feature_ranking','n'),('feature_referer_stats','n'),('feature_right_column','y'),('feature_sandbox','y'),('feature_score','n'),('feature_search','y'),('feature_search_fulltext','y'),('feature_search_stats','n'),('feature_sheet','n'),('feature_shoutbox','n'),('feature_smileys','y'),('feature_stats','n'),('feature_submissions','n'),('feature_surveys','n'),('feature_tabs','n'),('feature_tasks','n'),('feature_theme_control','n'),('feature_ticketlib','n'),('feature_ticketlib2','y'),('feature_top_bar','y'),('feature_trackbackpings','y'),('feature_trackers','n'),('feature_userPreferences','n'),('feature_userVersions','n'),('feature_user_bookmarks','n'),('feature_user_watches','n'),('feature_user_watches_translations','y'),('feature_userfiles','n'),('feature_usermenu','n'),('feature_view_tpl','n'),('feature_warn_on_edit','n'),('feature_webmail','n'),('feature_wiki','y'),('feature_wiki_allowhtml','n'),('feature_wiki_attachments','n'),('feature_wiki_comments','n'),('feature_wiki_description','n'),('feature_wiki_discuss','n'),('feature_wiki_export','n'),('feature_wiki_footnotes','n'),('feature_wiki_import_html','n'),('feature_wiki_monosp','y'),('feature_wiki_multiprint','n'),('feature_wiki_notepad','n'),('feature_wiki_open_as_structure','n'),('feature_wiki_pdf','n'),('feature_wiki_pictures','n'),('feature_wiki_rankings','y'),('feature_wiki_ratings','n'),('feature_wiki_tables','old'),('feature_wiki_templates','n'),('feature_wiki_undo','n'),('feature_wiki_userpage','y'),('feature_wiki_userpage_prefix','UserPage'),('feature_wiki_usrlock','n'),('feature_wikiwords','y'),('feature_workflow','n'),('feature_wysiwyg','no'),('feature_xmlrpc','n'),('fgal_allow_duplicates','n'),('fgal_list_created','y'),('fgal_list_description','n'),('fgal_list_files','y'),('fgal_list_hits','y'),('fgal_list_lastmodif','y'),('fgal_list_name','y'),('fgal_list_user','y'),('fgal_match_regex',''),('fgal_nmatch_regex',''),('fgal_use_db','y'),('fgal_use_dir',''),('file_galleries_comments_default_ordering','points_desc'),('file_galleries_comments_per_page','10'),('forgotPass','n'),('forum_list_desc','y'),('forum_list_lastpost','y'),('forum_list_posts','y'),('forum_list_ppd','y'),('forum_list_topics','y'),('forum_list_visits','y'),('forums_ordering','created_desc'),('gal_batch_dir',''),('gal_imgcache_dir','temp/cache'),('gal_list_created','y'),('gal_list_description','y'),('gal_list_imgs','y'),('gal_list_lastmodif','y'),('gal_list_name','y'),('gal_list_user','y'),('gal_list_visits','y'),('gal_match_regex',''),('gal_nmatch_regex',''),('gal_use_db','y'),('gal_use_dir',''),('gal_use_lib','gd'),('groupTracker','n'),('home_file_gallery',''),('http_domain',''),('http_port','80'),('http_prefix','/'),('https','auto'),('https_domain',''),('https_login','@@SSL_ENABLED_YN@@'),('https_login_required','@@SSL_ENABLED_YN@@'),('https_port','443'),('https_prefix','/'),('image_galleries_comments_default_order','points_desc'),('image_galleries_comments_per_page','10'),('keep_versions','1'),('lang_use_db','n'),('language','en'),('layout_section','n'),('limitedGoGroupHome','y'),('long_date_format','%A %d of %B, %Y'),('long_time_format','%H:%M:%S %Z'),('mail_crlf','LF'),('map_path','/var/www/html/map/'),('maxArticles','10'),('maxRecords','10'),('maxVersions','0'),('max_rss_articles','10'),('max_rss_blog','10'),('max_rss_blogs','10'),('max_rss_directories','10'),('max_rss_file_galleries','10'),('max_rss_file_gallery','10'),('max_rss_forum','10'),('max_rss_forums','10'),('max_rss_image_galleries','10'),('max_rss_image_gallery','10'),('max_rss_mapfiles','10'),('max_rss_tracker','10'),('max_rss_wiki','10'),('min_pass_length','1'),('modallgroups','y'),('pass_chr_num','n'),('pass_due','999'),('poll_comments_default_ordering','points_desc'),('poll_comments_per_page','10'),('popupLinks','n'),('proxy_host',''),('proxy_port',''),('record_untranslated','n'),('registerPasscode',''),('rememberme','disabled'),('remembertime','7200'),('rnd_num_reg','n'),('rss_articles','y'),('rss_blog','n'),('rss_blogs','y'),('rss_directories','y'),('rss_file_galleries','y'),('rss_file_gallery','n'),('rss_forum','y'),('rss_forums','y'),('rss_image_galleries','y'),('rss_image_gallery','n'),('rss_mapfiles','y'),('rss_tracker','n'),('rss_wiki','y'),('rssfeed_creator',''),('rssfeed_css','y'),('rssfeed_default_version','2'),('rssfeed_editor',''),('rssfeed_language','en-us'),('rssfeed_publisher',''),('rssfeed_webmaster',''),('search_lru_length','100'),('search_lru_purge_rate','5'),('search_max_syllwords','100'),('search_min_wordlength','3'),('search_refresh_rate','5'),('search_syll_age','48'),('sender_email',''),('short_date_format','%a %d of %b, %Y'),('short_time_format','%H:%M %Z'),('shoutbox_autolink','n'),('siteTitle',''),('slide_style','slidestyle.css'),('style','tikineat.css'),('system_os','unix'),('t_use_db','y'),('t_use_dir',''),('tikiIndex','tiki-index.php'),('tmpDir','temp'),('trk_with_mirror_tables','n'),('uf_use_db','y'),('uf_use_dir',''),('urlIndex',''),('useRegisterPasscode','n'),('useUrlIndex','n'),('use_proxy','n'),('userTracker','n'),('user_assigned_modules','n'),('user_list_order','score_desc'),('userfiles_quota','30'),('validateEmail','n'),('validateRegistration','n'),('validateUsers','n'),('w_use_db','y'),('w_use_dir',''),('warn_on_edit_time','2'),('webmail_max_attachment','1500000'),('webmail_view_html','y'),('webserverauth','n'),('wikiHomePage','HomePage'),('wikiLicensePage',''),('wikiSubmitNotice',''),('wiki_bot_bar','n'),('wiki_cache','0'),('wiki_comments_default_ordering','points_desc'),('wiki_comments_per_page','10'),('wiki_creator_admin','n'),('wiki_feature_copyrights','n'),('wiki_forum',''),('wiki_forum_id',''),('wiki_left_column','y'),('wiki_list_backlinks','y'),('wiki_list_comment','y'),('wiki_list_creator','y'),('wiki_list_hits','y'),('wiki_list_lastmodif','y'),('wiki_list_lastver','y'),('wiki_list_links','y'),('wiki_list_name','y'),('wiki_list_size','y'),('wiki_list_status','y'),('wiki_list_user','y'),('wiki_list_versions','y'),('wiki_page_regex','strict'),('wiki_right_column','y'),('wiki_spellcheck','n'),('wiki_top_bar','n'),('wiki_uses_slides','n'),('wiki_wikisyntax_in_html','full'),('messu_mailbox_size','0'),('messu_archive_size','200'),('messu_sent_size','200'),('case_patched','y');
CREATE TABLE `tiki_private_messages` (
  `messageId` int(8) NOT NULL auto_increment,
  `toNickname` varchar(200) NOT NULL default '',
  `data` varchar(255) default NULL,
  `poster` varchar(200) NOT NULL default 'anonymous',
  `timestamp` int(14) default NULL,
  PRIMARY KEY  (`messageId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_programmed_content` (
  `pId` int(8) NOT NULL auto_increment,
  `contentId` int(8) NOT NULL default '0',
  `publishDate` int(14) NOT NULL default '0',
  `data` text,
  PRIMARY KEY  (`pId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_quicktags` (
  `tagId` int(4) unsigned NOT NULL auto_increment,
  `taglabel` varchar(255) default NULL,
  `taginsert` text,
  `tagicon` varchar(255) default NULL,
  `tagcategory` varchar(255) default NULL,
  PRIMARY KEY  (`tagId`),
  KEY `tagcategory` (`tagcategory`),
  KEY `taglabel` (`taglabel`)
) TYPE=MyISAM AUTO_INCREMENT=50;
INSERT INTO `tiki_quicktags` VALUES (1,'bold','__text__','images/ed_format_bold.gif','wiki'),(2,'italic','\'\'text\'\'','images/ed_format_italic.gif','wiki'),(3,'underline','===text===','images/ed_format_underline.gif','wiki'),(4,'table','||r1c1|r1c2||r2c1|r2c2||','images/insert_table.gif','wiki'),(5,'table new','||r1c1|r1c2\nr2c1|r2c2||','images/insert_table.gif','wiki'),(6,'external link','[http://example.com|text]','images/ed_link.gif','wiki'),(7,'wiki link','((text))','images/ed_copy.gif','wiki'),(8,'heading1','!text','images/ed_custom.gif','wiki'),(9,'title bar','-=text=-','images/fullscreen_maximize.gif','wiki'),(10,'box','^text^','images/ed_about.gif','wiki'),(11,'rss feed','{rss id= }','images/ico_link.gif','wiki'),(12,'dynamic content','{content id= }','images/book.gif','wiki'),(13,'tagline','{cookie}','images/footprint.gif','wiki'),(14,'hr','---','images/ed_hr.gif','wiki'),(15,'center text','::text::','images/ed_align_center.gif','wiki'),(16,'colored text','~~#FF0000:text~~','images/fontfamily.gif','wiki'),(17,'dynamic variable','%text%','images/book.gif','wiki'),(18,'image','{img src= width= height= align= desc= link= }','images/ed_image.gif','wiki'),(19,'New wms Metadata','METADATA\r\n		\"wms_name\" \"myname\"\r\n 	\"wms_srs\" \"EPSG:4326\"\r\n 	\"wms_server_version\" \" \"\r\n 	\"wms_layers\" \"mylayers\"\r\n 	\"wms_request\" \"myrequest\"\r\n 	\"wms_format\" \" \"\r\n 	\"wms_time\" \" \"\r\n END','img/icons/admin_metatags.png','maps'),(20,'New Class','CLASS\r\n EXPRESSION ()\r\n SYMBOL 0\r\n OUTLINECOLOR\r\n COLOR\r\n NAME \"myclass\" \r\nEND #end of class','img/icons/mini_triangle.gif','maps'),(21,'New Projection','PROJECTION\r\n \"init=epsg:4326\"\r\nEND','images/ico_mode.gif','maps'),(22,'New Query','#\r\n# Start of query definitions\r\n#\r\n QUERYMAP\r\n STATUS ON\r\n STYLE HILITE\r\nEND','img/icons/questions.gif','maps'),(23,'New Scalebar','#\r\n# Start of scalebar\r\n#\r\nSCALEBAR\r\n IMAGECOLOR 255 255 255\r\n STYLE 1\r\n SIZE 400 2\r\n COLOR 0 0 0\r\n UNITS KILOMETERS\r\n INTERVALS 5\r\n STATUS ON\r\nEND','img/icons/desc_length.gif','maps'),(24,'New Layer','LAYER\r\n NAME\r\n TYPE\r\n STATUS ON\r\n DATA \"mydata\"\r\nEND #end of layer','images/ed_copy.gif','maps'),(25,'New Label','LABEL\r\n COLOR\r\n ANGLE\r\n FONT arial\r\n TYPE TRUETYPE\r\n POSITION\r\n PARTIALS TRUE\r\n SIZE 6\r\n BUFFER 0\r\n OUTLINECOLOR \r\nEND #end of label','img/icons/fontfamily.gif','maps'),(26,'New Reference','#\r\n#start of reference\r\n#\r\n REFERENCE\r\n SIZE 120 60\r\n STATUS ON\r\n EXTENT -180 -90 182 88\r\n OUTLINECOLOR 255 0 0\r\n IMAGE \"myimagedata\"\r\n COLOR -1 -1 -1\r\nEND','images/ed_image.gif','maps'),(27,'New Legend','#\r\n#start of Legend\r\n#\r\n LEGEND\r\n KEYSIZE 18 12\r\n POSTLABELCACHE TRUE\r\n STATUS ON\r\nEND','images/ed_about.gif','maps'),(28,'New Web','#\r\n# Start of web interface definition\r\n#\r\nWEB\r\n TEMPLATE \"myfile/url\"\r\n MINSCALE 1000\r\n MAXSCALE 40000\r\n IMAGEPATH \"myimagepath\"\r\n IMAGEURL \"mypath\"\r\nEND','img/icons/ico_link.gif','maps'),(29,'New Outputformat','OUTPUTFORMAT\r\n NAME\r\n DRIVER \" \"\r\n MIMETYPE \"myimagetype\"\r\n IMAGEMODE RGB\r\n EXTENSION \"png\"\r\nEND','img/icons/opera.gif','maps'),(30,'New Mapfile','#\r\n# Start of mapfile\r\n#\r\nNAME MYMAPFLE\r\n STATUS ON\r\nSIZE \r\nEXTENT\r\nUNITS \r\nSHAPEPATH \" \"\r\nIMAGETYPE \" \"\r\nFONTSET \" \"\r\nIMAGECOLOR -1 -1 -1\r\n\r\n#remove this text and add objects here\r\n\r\nEND # end of mapfile','img/icons/global.gif','maps'),(31,'bold','__text__','images/ed_format_bold.gif','newsletters'),(32,'italic','\'\'text\'\'','images/ed_format_italic.gif','newsletters'),(33,'underline','===text===','images/ed_format_underline.gif','newsletters'),(34,'external link','[http://example.com|text|nocache]','images/ed_link.gif','newsletters'),(35,'heading1','!text','images/ed_custom.gif','newsletters'),(36,'hr','---','images/ed_hr.gif','newsletters'),(37,'center text','::text::','images/ed_align_center.gif','newsletters'),(38,'colored text','~~#FF0000:text~~','images/fontfamily.gif','newsletters'),(39,'image','{img src= width= height= align= desc= link= }','images/ed_image.gif','newsletters'),(40,'New wms Metadata','METADATA\r\n		\"wms_name\" \"myname\"\r\n		\"wms_srs\" \"EPSG:4326\"\r\n	\"wms_server_version\" \" \"\r\n	\"wms_layers\" \"mylayers\"\r\n	\"wms_request\" \"myrequest\"\r\n	\"wms_format\" \" \"\r\n	\"wms_time\" \" \"\r\n END','img/icons/admin_metatags.png','maps'),(41,'New Class','CLASS\r\n EXPRESSION ()\r\n SYMBOL 0\r\n OUTLINECOLOR\r\n COLOR\r\n  NAME \"myclass\"\r\nEND #end of class','img/icons/mini_triangle.gif','maps'),(42,'New Query','#\r\n#Start of query definitions\r\n QUERYMAP\r\n STATUS ON\r\n STYLE HILITE\r\nEND','img/icons/question.gif','maps'),(43,'New Scalebar','#\r\n#start of scalebar\r\nSCALEBAR\r\n IMAGECOLOR 255 255 255\r\n STYLE 1\r\n SIZE 400 2\r\n COLOR 0 0 0\r\n  UNITS KILOMETERS\r\n INTERVALS 5\r\n STATUS ON\r\nEND','img/icons/desc_lenght.gif','maps'),(44,'New Layer','LAYER\r\n NAME \"mylayer\"\r\n TYPE\r\n STATUS ON\r\n DATA \"mydata\"\r\nEND #end of layer','img/ed_copy.gif','maps'),(45,'New Label','LABEL\r\n  COLOR\r\n ANGLE\r\n FONT arial\r\n TYPE TRUETYPE\r\n  POSITION\r\n  PARTIALS TRUE\r\n  SIZE 6\r\n  BUFFER 0\r\n OUTLINECOLOR\r\nEND #end of label','img/icons/fontfamily.gif','maps'),(46,'New Reference','#\r\n#start of reference\r\nREFERENCE\r\n SIZE 120 60\r\n STATUS ON\r\n  EXTENT -180 -90 182 88\r\n OUTLINECOLOR 255 0 0\r\n IMAGE \"myimagedata\"\r\nCOLOR -1 -1 -1\r\nEND','images/ed_image.gif','maps'),(47,'New Legend','#\r\n#start of legend\r\n#\r\nLEGENDr\n KEYSIZE 18 12\r\n POSTLABELCACHE TRUE\r\n STATUS ON\r\nEND','images/ed_about.gif','maps'),(48,'New Web','#\r\n#Start of web interface definition\r\n#\r\nWEB\r\n TEMPLATE \"myfile/url\"\r\n MINSCALE 1000\r\n MAXSCALE 40000\r\n IMAGEPATH \"myimagepath\"\r\n IMAGEURL \"mypath\"\r\nEND','img/icons/ico_link.gif','maps'),(49,'New Mapfile','#\r\n#Start of mapfile\r\n#\r\nNAME MYMAPFILE\r\n STATUS ON\r\nSIZE \r\nEXTENT\r\n UNITS\r\nSHAPEPATH \" \"\r\nIMAGETYPE \" \"\r\nFONTSET \" \"\r\nIMAGECOLOR -1 -1 -1\r\n\r\n#remove this text and add objects here\r\n\r\nEND # end of mapfile','img/icons/global.gif','maps');
CREATE TABLE `tiki_quiz_question_options` (
  `optionId` int(10) NOT NULL auto_increment,
  `questionId` int(10) default NULL,
  `optionText` text,
  `points` int(4) default NULL,
  PRIMARY KEY  (`optionId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_quiz_questions` (
  `questionId` int(10) NOT NULL auto_increment,
  `quizId` int(10) default NULL,
  `question` text,
  `position` int(4) default NULL,
  `type` char(1) default NULL,
  `maxPoints` int(4) default NULL,
  PRIMARY KEY  (`questionId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_quiz_results` (
  `resultId` int(10) NOT NULL auto_increment,
  `quizId` int(10) default NULL,
  `fromPoints` int(4) default NULL,
  `toPoints` int(4) default NULL,
  `answer` text,
  PRIMARY KEY  (`resultId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_quiz_stats` (
  `quizId` int(10) NOT NULL default '0',
  `questionId` int(10) NOT NULL default '0',
  `optionId` int(10) NOT NULL default '0',
  `votes` int(10) default NULL,
  PRIMARY KEY  (`quizId`,`questionId`,`optionId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_quiz_stats_sum` (
  `quizId` int(10) NOT NULL default '0',
  `quizName` varchar(255) default NULL,
  `timesTaken` int(10) default NULL,
  `avgpoints` decimal(5,2) default NULL,
  `avgavg` decimal(5,2) default NULL,
  `avgtime` decimal(5,2) default NULL,
  PRIMARY KEY  (`quizId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_quizzes` (
  `quizId` int(10) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `description` text,
  `canRepeat` char(1) default NULL,
  `storeResults` char(1) default NULL,
  `questionsPerPage` int(4) default NULL,
  `timeLimited` char(1) default NULL,
  `timeLimit` int(14) default NULL,
  `created` int(14) default NULL,
  `taken` int(10) default NULL,
  `immediateFeedback` char(1) default NULL,
  `showAnswers` char(1) default NULL,
  `shuffleQuestions` char(1) default NULL,
  `shuffleAnswers` char(1) default NULL,
  `publishDate` int(14) default NULL,
  `expireDate` int(14) default NULL,
  `bDeleted` char(1) default NULL,
  `nVersion` int(4) NOT NULL default '0',
  `nAuthor` int(4) default NULL,
  `bOnline` char(1) default NULL,
  `bRandomQuestions` char(1) default NULL,
  `nRandomQuestions` tinyint(4) default NULL,
  `bLimitQuestionsPerPage` char(1) default NULL,
  `nLimitQuestionsPerPage` tinyint(4) default NULL,
  `bMultiSession` char(1) default NULL,
  `nCanRepeat` tinyint(4) default NULL,
  `sGradingMethod` varchar(80) default NULL,
  `sShowScore` varchar(80) default NULL,
  `sShowCorrectAnswers` varchar(80) default NULL,
  `sPublishStats` varchar(80) default NULL,
  `bAdditionalQuestions` char(1) default NULL,
  `bForum` char(1) default NULL,
  `sForum` varchar(80) default NULL,
  `sPrologue` text,
  `sData` text,
  `sEpilogue` text,
  `passingperct` int(4) default '0',
  PRIMARY KEY  (`quizId`,`nVersion`)
) TYPE=MyISAM;
CREATE TABLE `tiki_received_articles` (
  `receivedArticleId` int(14) NOT NULL auto_increment,
  `receivedFromSite` varchar(200) default NULL,
  `receivedFromUser` varchar(200) default NULL,
  `receivedDate` int(14) default NULL,
  `title` varchar(80) default NULL,
  `authorName` varchar(60) default NULL,
  `size` int(12) default NULL,
  `useImage` char(1) default NULL,
  `image_name` varchar(80) default NULL,
  `image_type` varchar(80) default NULL,
  `image_size` int(14) default NULL,
  `image_x` int(4) default NULL,
  `image_y` int(4) default NULL,
  `image_data` longblob,
  `publishDate` int(14) default NULL,
  `expireDate` int(14) default NULL,
  `created` int(14) default NULL,
  `heading` text,
  `body` longblob,
  `hash` varchar(32) default NULL,
  `author` varchar(200) default NULL,
  `type` varchar(50) default NULL,
  `rating` decimal(3,2) default NULL,
  PRIMARY KEY  (`receivedArticleId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_received_pages` (
  `receivedPageId` int(14) NOT NULL auto_increment,
  `pageName` varchar(160) NOT NULL default '',
  `data` longblob,
  `description` varchar(200) default NULL,
  `comment` varchar(200) default NULL,
  `receivedFromSite` varchar(200) default NULL,
  `receivedFromUser` varchar(200) default NULL,
  `receivedDate` int(14) default NULL,
  PRIMARY KEY  (`receivedPageId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_referer_stats` (
  `referer` varchar(255) NOT NULL default '',
  `hits` int(10) default NULL,
  `last` int(14) default NULL,
  PRIMARY KEY  (`referer`)
) TYPE=MyISAM;
CREATE TABLE `tiki_related_categories` (
  `categId` int(10) NOT NULL default '0',
  `relatedTo` int(10) NOT NULL default '0',
  PRIMARY KEY  (`categId`,`relatedTo`)
) TYPE=MyISAM;
CREATE TABLE `tiki_rss_feeds` (
  `name` varchar(30) NOT NULL default '',
  `rssVer` char(1) NOT NULL default '1',
  `refresh` int(8) default '300',
  `lastUpdated` int(14) default NULL,
  `cache` longblob,
  PRIMARY KEY  (`name`,`rssVer`)
) TYPE=MyISAM;
CREATE TABLE `tiki_rss_modules` (
  `rssId` int(8) NOT NULL auto_increment,
  `name` varchar(30) NOT NULL default '',
  `description` text,
  `url` varchar(255) NOT NULL default '',
  `refresh` int(8) default NULL,
  `lastUpdated` int(14) default NULL,
  `showTitle` char(1) default 'n',
  `showPubDate` char(1) default 'n',
  `content` longblob,
  PRIMARY KEY  (`rssId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_score` (
  `event` varchar(40) NOT NULL default '',
  `score` int(11) NOT NULL default '0',
  `expiration` int(11) NOT NULL default '0',
  PRIMARY KEY  (`event`)
) TYPE=MyISAM;
INSERT INTO `tiki_score` VALUES ('login',1,0),('login_remain',2,60),('profile_fill',10,0),('profile_see',2,0),('profile_is_seen',1,0),('friend_new',10,0),('message_receive',1,0),('message_send',2,0),('article_read',2,0),('article_comment',5,0),('article_new',20,0),('article_is_read',1,0),('article_is_commented',2,0),('fgallery_new',10,0),('fgallery_new_file',10,0),('fgallery_download',5,0),('fgallery_is_downloaded',5,0),('igallery_new',10,0),('igallery_new_img',6,0),('igallery_see_img',3,0),('igallery_img_seen',1,0),('blog_new',20,0),('blog_post',5,0),('blog_read',2,0),('blog_comment',2,0),('blog_is_read',3,0),('blog_is_commented',3,0),('wiki_new',10,0),('wiki_edit',5,0),('wiki_attach_file',3,0);
CREATE TABLE `tiki_search_stats` (
  `term` varchar(50) NOT NULL default '',
  `hits` int(10) default NULL,
  PRIMARY KEY  (`term`)
) TYPE=MyISAM;
CREATE TABLE `tiki_searchindex` (
  `searchword` varchar(80) NOT NULL default '',
  `location` varchar(80) NOT NULL default '',
  `page` varchar(255) NOT NULL default '',
  `count` int(11) NOT NULL default '1',
  `last_update` int(11) NOT NULL default '0',
  PRIMARY KEY  (`searchword`,`location`,`page`(80)),
  KEY `last_update` (`last_update`)
) TYPE=MyISAM;
INSERT INTO `tiki_searchindex` VALUES ('homepage','wiki','HomePage',1,1171638309);
CREATE TABLE `tiki_searchsyllable` (
  `syllable` varchar(80) NOT NULL default '',
  `lastUsed` int(11) NOT NULL default '0',
  `lastUpdated` int(11) NOT NULL default '0',
  PRIMARY KEY  (`syllable`),
  KEY `lastUsed` (`lastUsed`)
) TYPE=MyISAM;
CREATE TABLE `tiki_searchwords` (
  `syllable` varchar(80) NOT NULL default '',
  `searchword` varchar(80) NOT NULL default '',
  PRIMARY KEY  (`syllable`,`searchword`)
) TYPE=MyISAM;
CREATE TABLE `tiki_secdb` (
  `md5_value` varchar(32) NOT NULL default '',
  `filename` varchar(250) NOT NULL default '',
  `tiki_version` varchar(60) NOT NULL default '',
  `severity` int(4) NOT NULL default '0',
  PRIMARY KEY  (`md5_value`,`filename`(100),`tiki_version`),
  KEY `sdb_fn` (`filename`)
) TYPE=MyISAM;
CREATE TABLE `tiki_semaphores` (
  `semName` varchar(250) NOT NULL default '',
  `user` varchar(40) default NULL,
  `timestamp` int(14) default NULL,
  PRIMARY KEY  (`semName`)
) TYPE=MyISAM;
CREATE TABLE `tiki_sent_newsletters` (
  `editionId` int(12) NOT NULL auto_increment,
  `nlId` int(12) NOT NULL default '0',
  `users` int(10) default NULL,
  `sent` int(14) default NULL,
  `subject` varchar(200) default NULL,
  `data` longblob,
  PRIMARY KEY  (`editionId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_sessions` (
  `sessionId` varchar(32) NOT NULL default '',
  `user` varchar(40) default NULL,
  `timestamp` int(14) default NULL,
  `tikihost` varchar(200) default NULL,
  PRIMARY KEY  (`sessionId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_sheet_layout` (
  `sheetId` int(8) NOT NULL default '0',
  `begin` int(10) NOT NULL default '0',
  `end` int(10) default NULL,
  `headerRow` int(4) NOT NULL default '0',
  `footerRow` int(4) NOT NULL default '0',
  `className` varchar(64) default NULL,
  UNIQUE KEY `sheetId` (`sheetId`,`begin`)
) TYPE=MyISAM;
CREATE TABLE `tiki_sheet_values` (
  `sheetId` int(8) NOT NULL default '0',
  `begin` int(10) NOT NULL default '0',
  `end` int(10) default NULL,
  `rowIndex` int(4) NOT NULL default '0',
  `columnIndex` int(4) NOT NULL default '0',
  `value` varchar(255) default NULL,
  `calculation` varchar(255) default NULL,
  `width` int(4) NOT NULL default '1',
  `height` int(4) NOT NULL default '1',
  `format` varchar(255) default NULL,
  UNIQUE KEY `sheetId` (`sheetId`,`begin`,`rowIndex`,`columnIndex`),
  KEY `sheetId_2` (`sheetId`,`rowIndex`,`columnIndex`)
) TYPE=MyISAM;
CREATE TABLE `tiki_sheets` (
  `sheetId` int(8) NOT NULL auto_increment,
  `title` varchar(200) NOT NULL default '',
  `description` text,
  `author` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`sheetId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_shoutbox` (
  `msgId` int(10) NOT NULL auto_increment,
  `message` varchar(255) default NULL,
  `timestamp` int(14) default NULL,
  `user` varchar(40) default NULL,
  `hash` varchar(32) default NULL,
  PRIMARY KEY  (`msgId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_shoutbox_words` (
  `word` varchar(40) NOT NULL default '',
  `qty` int(11) NOT NULL default '0',
  PRIMARY KEY  (`word`)
) TYPE=MyISAM;
CREATE TABLE `tiki_stats` (
  `object` varchar(255) NOT NULL default '',
  `type` varchar(20) NOT NULL default '',
  `day` int(14) NOT NULL default '0',
  `hits` int(14) NOT NULL default '0',
  PRIMARY KEY  (`object`,`type`,`day`)
) TYPE=MyISAM;
INSERT INTO `tiki_stats` VALUES ('HomePage','wiki',1171562400,2);
CREATE TABLE `tiki_structure_versions` (
  `structure_id` int(14) NOT NULL auto_increment,
  `version` int(14) default NULL,
  PRIMARY KEY  (`structure_id`)
) TYPE=MyISAM;
CREATE TABLE `tiki_structures` (
  `page_ref_id` int(14) NOT NULL auto_increment,
  `structure_id` int(14) NOT NULL default '0',
  `parent_id` int(14) default NULL,
  `page_id` int(14) NOT NULL default '0',
  `page_version` int(8) default NULL,
  `page_alias` varchar(240) NOT NULL default '',
  `pos` int(4) default NULL,
  PRIMARY KEY  (`page_ref_id`),
  KEY `pidpaid` (`page_id`,`parent_id`)
) TYPE=MyISAM;
CREATE TABLE `tiki_submissions` (
  `subId` int(8) NOT NULL auto_increment,
  `topline` varchar(255) default NULL,
  `title` varchar(80) default NULL,
  `subtitle` varchar(255) default NULL,
  `linkto` varchar(255) default NULL,
  `lang` varchar(16) default NULL,
  `authorName` varchar(60) default NULL,
  `topicId` int(14) default NULL,
  `topicName` varchar(40) default NULL,
  `size` int(12) default NULL,
  `useImage` char(1) default NULL,
  `image_name` varchar(80) default NULL,
  `image_caption` text,
  `image_type` varchar(80) default NULL,
  `image_size` int(14) default NULL,
  `image_x` int(4) default NULL,
  `image_y` int(4) default NULL,
  `image_data` longblob,
  `publishDate` int(14) default NULL,
  `expireDate` int(14) default NULL,
  `created` int(14) default NULL,
  `bibliographical_references` text,
  `resume` text,
  `heading` text,
  `body` text,
  `hash` varchar(32) default NULL,
  `author` varchar(200) default NULL,
  `nbreads` int(14) default NULL,
  `votes` int(8) default NULL,
  `points` int(14) default NULL,
  `type` varchar(50) default NULL,
  `rating` decimal(3,2) default NULL,
  `isfloat` char(1) default NULL,
  PRIMARY KEY  (`subId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_suggested_faq_questions` (
  `sfqId` int(10) NOT NULL auto_increment,
  `faqId` int(10) NOT NULL default '0',
  `question` text,
  `answer` text,
  `created` int(14) default NULL,
  `user` varchar(40) default NULL,
  PRIMARY KEY  (`sfqId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_survey_question_options` (
  `optionId` int(12) NOT NULL auto_increment,
  `questionId` int(12) NOT NULL default '0',
  `qoption` text,
  `votes` int(10) default NULL,
  PRIMARY KEY  (`optionId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_survey_questions` (
  `questionId` int(12) NOT NULL auto_increment,
  `surveyId` int(12) NOT NULL default '0',
  `question` text,
  `options` text,
  `type` char(1) default NULL,
  `position` int(5) default NULL,
  `votes` int(10) default NULL,
  `value` int(10) default NULL,
  `average` decimal(4,2) default NULL,
  PRIMARY KEY  (`questionId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_surveys` (
  `surveyId` int(12) NOT NULL auto_increment,
  `name` varchar(200) default NULL,
  `description` text,
  `taken` int(10) default NULL,
  `lastTaken` int(14) default NULL,
  `created` int(14) default NULL,
  `status` char(1) default NULL,
  PRIMARY KEY  (`surveyId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_tags` (
  `tagName` varchar(80) NOT NULL default '',
  `pageName` varchar(160) NOT NULL default '',
  `hits` int(8) default NULL,
  `description` varchar(200) default NULL,
  `data` longblob,
  `lastModif` int(14) default NULL,
  `comment` varchar(200) default NULL,
  `version` int(8) NOT NULL default '0',
  `user` varchar(40) default NULL,
  `ip` varchar(15) default NULL,
  `flag` char(1) default NULL,
  PRIMARY KEY  (`tagName`,`pageName`)
) TYPE=MyISAM;
CREATE TABLE `tiki_theme_control_categs` (
  `categId` int(12) NOT NULL default '0',
  `theme` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`categId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_theme_control_objects` (
  `objId` varchar(250) NOT NULL default '',
  `type` varchar(250) NOT NULL default '',
  `name` varchar(250) NOT NULL default '',
  `theme` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`objId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_theme_control_sections` (
  `section` varchar(250) NOT NULL default '',
  `theme` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`section`)
) TYPE=MyISAM;
CREATE TABLE `tiki_topics` (
  `topicId` int(14) NOT NULL auto_increment,
  `name` varchar(40) default NULL,
  `image_name` varchar(80) default NULL,
  `image_type` varchar(80) default NULL,
  `image_size` int(14) default NULL,
  `image_data` longblob,
  `active` char(1) default NULL,
  `created` int(14) default NULL,
  PRIMARY KEY  (`topicId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_tracker_fields` (
  `fieldId` int(12) NOT NULL auto_increment,
  `trackerId` int(12) NOT NULL default '0',
  `name` varchar(255) default NULL,
  `options` text,
  `type` char(1) default NULL,
  `isMain` char(1) default NULL,
  `isTblVisible` char(1) default NULL,
  `position` int(4) default NULL,
  `isSearchable` char(1) NOT NULL default 'y',
  `isPublic` char(1) NOT NULL default 'n',
  `isHidden` char(1) NOT NULL default 'n',
  `isMandatory` char(1) NOT NULL default 'n',
  PRIMARY KEY  (`fieldId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_tracker_item_attachments` (
  `attId` int(12) NOT NULL auto_increment,
  `itemId` int(12) NOT NULL default '0',
  `filename` varchar(80) default NULL,
  `filetype` varchar(80) default NULL,
  `filesize` int(14) default NULL,
  `user` varchar(40) default NULL,
  `data` longblob,
  `path` varchar(255) default NULL,
  `downloads` int(10) default NULL,
  `created` int(14) default NULL,
  `comment` varchar(250) default NULL,
  `longdesc` blob,
  `version` varchar(40) default NULL,
  PRIMARY KEY  (`attId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_tracker_item_comments` (
  `commentId` int(12) NOT NULL auto_increment,
  `itemId` int(12) NOT NULL default '0',
  `user` varchar(40) default NULL,
  `data` text,
  `title` varchar(200) default NULL,
  `posted` int(14) default NULL,
  PRIMARY KEY  (`commentId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_tracker_item_fields` (
  `itemId` int(12) NOT NULL default '0',
  `fieldId` int(12) NOT NULL default '0',
  `value` text,
  PRIMARY KEY  (`itemId`,`fieldId`),
  FULLTEXT KEY `ft` (`value`)
) TYPE=MyISAM;
CREATE TABLE `tiki_tracker_items` (
  `itemId` int(12) NOT NULL auto_increment,
  `trackerId` int(12) NOT NULL default '0',
  `created` int(14) default NULL,
  `status` char(1) default NULL,
  `lastModif` int(14) default NULL,
  PRIMARY KEY  (`itemId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_tracker_options` (
  `trackerId` int(12) NOT NULL default '0',
  `name` varchar(80) NOT NULL default '',
  `value` text,
  PRIMARY KEY  (`trackerId`,`name`(30))
) TYPE=MyISAM;
CREATE TABLE `tiki_trackers` (
  `trackerId` int(12) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `description` text,
  `created` int(14) default NULL,
  `lastModif` int(14) default NULL,
  `showCreated` char(1) default NULL,
  `showStatus` char(1) default NULL,
  `showLastModif` char(1) default NULL,
  `useComments` char(1) default NULL,
  `useAttachments` char(1) default NULL,
  `items` int(10) default NULL,
  `showComments` char(1) default NULL,
  `showAttachments` char(1) default NULL,
  `orderAttachments` varchar(255) NOT NULL default 'filename,created,filesize,downloads,desc',
  PRIMARY KEY  (`trackerId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_translated_objects` (
  `traId` int(14) NOT NULL auto_increment,
  `type` varchar(50) NOT NULL default '',
  `objId` varchar(255) NOT NULL default '',
  `lang` varchar(16) default NULL,
  PRIMARY KEY  (`type`,`objId`),
  KEY `traId` (`traId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_untranslated` (
  `id` int(14) NOT NULL auto_increment,
  `source` tinyblob NOT NULL,
  `lang` varchar(16) NOT NULL default '',
  PRIMARY KEY  (`source`(255),`lang`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;
CREATE TABLE `tiki_user_answers` (
  `userResultId` int(10) NOT NULL default '0',
  `quizId` int(10) NOT NULL default '0',
  `questionId` int(10) NOT NULL default '0',
  `optionId` int(10) NOT NULL default '0',
  PRIMARY KEY  (`userResultId`,`quizId`,`questionId`,`optionId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_user_answers_uploads` (
  `answerUploadId` int(4) NOT NULL auto_increment,
  `userResultId` int(11) NOT NULL default '0',
  `questionId` int(11) NOT NULL default '0',
  `filename` varchar(255) NOT NULL default '',
  `filetype` varchar(64) NOT NULL default '',
  `filesize` varchar(255) NOT NULL default '',
  `filecontent` longblob NOT NULL,
  PRIMARY KEY  (`answerUploadId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_user_assigned_modules` (
  `name` varchar(200) NOT NULL default '',
  `position` char(1) default NULL,
  `ord` int(4) default NULL,
  `type` char(1) default NULL,
  `user` varchar(40) NOT NULL default '',
  PRIMARY KEY  (`name`,`user`)
) TYPE=MyISAM;
CREATE TABLE `tiki_user_bookmarks_folders` (
  `folderId` int(12) NOT NULL auto_increment,
  `parentId` int(12) default NULL,
  `user` varchar(40) NOT NULL default '',
  `name` varchar(30) default NULL,
  PRIMARY KEY  (`user`,`folderId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_user_bookmarks_urls` (
  `urlId` int(12) NOT NULL auto_increment,
  `name` varchar(30) default NULL,
  `url` varchar(250) default NULL,
  `data` longblob,
  `lastUpdated` int(14) default NULL,
  `folderId` int(12) NOT NULL default '0',
  `user` varchar(40) NOT NULL default '',
  PRIMARY KEY  (`urlId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_user_mail_accounts` (
  `accountId` int(12) NOT NULL auto_increment,
  `user` varchar(40) NOT NULL default '',
  `account` varchar(50) NOT NULL default '',
  `pop` varchar(255) default NULL,
  `current` char(1) default NULL,
  `port` int(4) default NULL,
  `username` varchar(100) default NULL,
  `pass` varchar(100) default NULL,
  `msgs` int(4) default NULL,
  `smtp` varchar(255) default NULL,
  `useAuth` char(1) default NULL,
  `smtpPort` int(4) default NULL,
  PRIMARY KEY  (`accountId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_user_menus` (
  `user` varchar(40) NOT NULL default '',
  `menuId` int(12) NOT NULL auto_increment,
  `url` varchar(250) default NULL,
  `name` varchar(40) default NULL,
  `position` int(4) default NULL,
  `mode` char(1) default NULL,
  PRIMARY KEY  (`menuId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_user_modules` (
  `name` varchar(200) NOT NULL default '',
  `title` varchar(40) default NULL,
  `data` longblob,
  `parse` char(1) default NULL,
  PRIMARY KEY  (`name`)
) TYPE=MyISAM;
INSERT INTO `tiki_user_modules` VALUES ('mnu_application_menu','Menu','{menu id=42}','n');
CREATE TABLE `tiki_user_notes` (
  `user` varchar(40) NOT NULL default '',
  `noteId` int(12) NOT NULL auto_increment,
  `created` int(14) default NULL,
  `name` varchar(255) default NULL,
  `lastModif` int(14) default NULL,
  `data` text,
  `size` int(14) default NULL,
  `parse_mode` varchar(20) default NULL,
  PRIMARY KEY  (`noteId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_user_postings` (
  `user` varchar(40) NOT NULL default '',
  `posts` int(12) default NULL,
  `last` int(14) default NULL,
  `first` int(14) default NULL,
  `level` int(8) default NULL,
  PRIMARY KEY  (`user`)
) TYPE=MyISAM;
CREATE TABLE `tiki_user_preferences` (
  `user` varchar(40) NOT NULL default '',
  `prefName` varchar(40) NOT NULL default '',
  `value` varchar(250) default NULL,
  PRIMARY KEY  (`user`,`prefName`)
) TYPE=MyISAM;
INSERT INTO `tiki_user_preferences` VALUES ('@@ADMIN_LOGIN@@','@@ADMIN_NAME@@','System Administrator');
CREATE TABLE `tiki_user_quizzes` (
  `user` varchar(40) default NULL,
  `quizId` int(10) default NULL,
  `timestamp` int(14) default NULL,
  `timeTaken` int(14) default NULL,
  `points` int(12) default NULL,
  `maxPoints` int(12) default NULL,
  `resultId` int(10) default NULL,
  `userResultId` int(10) NOT NULL auto_increment,
  PRIMARY KEY  (`userResultId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_user_taken_quizzes` (
  `user` varchar(40) NOT NULL default '',
  `quizId` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`user`,`quizId`(100))
) TYPE=MyISAM;
CREATE TABLE `tiki_user_tasks` (
  `taskId` int(14) NOT NULL auto_increment,
  `last_version` int(4) NOT NULL default '0',
  `user` varchar(40) NOT NULL default '',
  `creator` varchar(200) NOT NULL default '',
  `public_for_group` varchar(30) default NULL,
  `rights_by_creator` char(1) default NULL,
  `created` int(14) NOT NULL default '0',
  `status` char(1) default NULL,
  `priority` int(2) default NULL,
  `completed` int(14) default NULL,
  `percentage` int(4) default NULL,
  PRIMARY KEY  (`taskId`),
  UNIQUE KEY `creator` (`creator`,`created`)
) TYPE=MyISAM;
CREATE TABLE `tiki_user_tasks_history` (
  `belongs_to` int(14) NOT NULL default '0',
  `task_version` int(4) NOT NULL default '0',
  `title` varchar(250) NOT NULL default '',
  `description` text,
  `start` int(14) default NULL,
  `end` int(14) default NULL,
  `lasteditor` varchar(200) NOT NULL default '',
  `lastchanges` int(14) NOT NULL default '0',
  `priority` int(2) NOT NULL default '3',
  `completed` int(14) default NULL,
  `deleted` int(14) default NULL,
  `status` char(1) default NULL,
  `percentage` int(4) default NULL,
  `accepted_creator` char(1) default NULL,
  `accepted_user` char(1) default NULL,
  PRIMARY KEY  (`belongs_to`,`task_version`)
) TYPE=MyISAM;
CREATE TABLE `tiki_user_votings` (
  `user` varchar(40) NOT NULL default '',
  `id` varchar(255) NOT NULL default '',
  `optionId` int(10) NOT NULL default '0',
  PRIMARY KEY  (`user`,`id`(100))
) TYPE=MyISAM;
CREATE TABLE `tiki_user_watches` (
  `user` varchar(40) NOT NULL default '',
  `event` varchar(40) NOT NULL default '',
  `object` varchar(200) NOT NULL default '',
  `hash` varchar(32) default NULL,
  `title` varchar(250) default NULL,
  `type` varchar(200) default NULL,
  `url` varchar(250) default NULL,
  `email` varchar(200) default NULL,
  PRIMARY KEY  (`user`,`event`,`object`(100))
) TYPE=MyISAM;
CREATE TABLE `tiki_userfiles` (
  `user` varchar(40) NOT NULL default '',
  `fileId` int(12) NOT NULL auto_increment,
  `name` varchar(200) default NULL,
  `filename` varchar(200) default NULL,
  `filetype` varchar(200) default NULL,
  `filesize` varchar(200) default NULL,
  `data` longblob,
  `hits` int(8) default NULL,
  `isFile` char(1) default NULL,
  `path` varchar(255) default NULL,
  `created` int(14) default NULL,
  PRIMARY KEY  (`fileId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_userpoints` (
  `user` varchar(40) default NULL,
  `points` decimal(8,2) default NULL,
  `voted` int(8) default NULL
) TYPE=MyISAM;
CREATE TABLE `tiki_users` (
  `user` varchar(40) NOT NULL default '',
  `password` varchar(40) default NULL,
  `email` varchar(200) default NULL,
  `lastLogin` int(14) default NULL,
  PRIMARY KEY  (`user`)
) TYPE=MyISAM;
CREATE TABLE `tiki_users_score` (
  `user` char(40) NOT NULL default '',
  `event_id` char(40) NOT NULL default '',
  `expire` int(14) NOT NULL default '0',
  `tstamp` timestamp NOT NULL,
  PRIMARY KEY  (`user`,`event_id`),
  KEY `user` (`user`,`event_id`,`expire`)
) TYPE=MyISAM;
CREATE TABLE `tiki_webmail_contacts` (
  `contactId` int(12) NOT NULL auto_increment,
  `firstName` varchar(80) default NULL,
  `lastName` varchar(80) default NULL,
  `email` varchar(250) default NULL,
  `nickname` varchar(200) default NULL,
  `user` varchar(40) NOT NULL default '',
  PRIMARY KEY  (`contactId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_webmail_messages` (
  `accountId` int(12) NOT NULL default '0',
  `mailId` varchar(255) NOT NULL default '',
  `user` varchar(40) NOT NULL default '',
  `isRead` char(1) default NULL,
  `isReplied` char(1) default NULL,
  `isFlagged` char(1) default NULL,
  PRIMARY KEY  (`accountId`,`mailId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_wiki_attachments` (
  `attId` int(12) NOT NULL auto_increment,
  `page` varchar(200) NOT NULL default '',
  `filename` varchar(80) default NULL,
  `filetype` varchar(80) default NULL,
  `filesize` int(14) default NULL,
  `user` varchar(40) default NULL,
  `data` longblob,
  `path` varchar(255) default NULL,
  `downloads` int(10) default NULL,
  `created` int(14) default NULL,
  `comment` varchar(250) default NULL,
  PRIMARY KEY  (`attId`)
) TYPE=MyISAM;
CREATE TABLE `tiki_zones` (
  `zone` varchar(40) NOT NULL default '',
  PRIMARY KEY  (`zone`)
) TYPE=MyISAM;
CREATE TABLE `users_grouppermissions` (
  `groupName` varchar(255) NOT NULL default '',
  `permName` varchar(30) NOT NULL default '',
  `value` char(1) default '',
  PRIMARY KEY  (`groupName`(30),`permName`)
) TYPE=MyISAM;
INSERT INTO `users_grouppermissions` VALUES ('Anonymous','tiki_p_view',''),('Anonymous','tiki_p_wiki_view_history',''),('Anonymous','tiki_p_wiki_view_comments','');
CREATE TABLE `users_groups` (
  `groupName` varchar(255) NOT NULL default '',
  `groupDesc` varchar(255) default NULL,
  `groupHome` varchar(255) default NULL,
  `usersTrackerId` int(11) default NULL,
  `groupTrackerId` int(11) default NULL,
  `usersFieldId` int(11) default NULL,
  `groupFieldId` int(11) default NULL,
  PRIMARY KEY  (`groupName`(30))
) TYPE=MyISAM;
INSERT INTO `users_groups` VALUES ('Anonymous','Public users not logged',NULL,NULL,NULL,NULL,NULL),('Registered','Users logged into the system',NULL,NULL,NULL,NULL,NULL);
CREATE TABLE `users_objectpermissions` (
  `groupName` varchar(255) NOT NULL default '',
  `permName` varchar(30) NOT NULL default '',
  `objectType` varchar(20) NOT NULL default '',
  `objectId` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`objectId`,`objectType`,`groupName`(30),`permName`)
) TYPE=MyISAM;
CREATE TABLE `users_permissions` (
  `permName` varchar(30) NOT NULL default '',
  `permDesc` varchar(250) default NULL,
  `level` varchar(80) default NULL,
  `type` varchar(20) default NULL,
  PRIMARY KEY  (`permName`)
) TYPE=MyISAM;
INSERT INTO `users_permissions` VALUES ('tiki_p_abort_instance','Can abort a process instance','editors','workflow'),('tiki_p_access_closed_site','Can access site when closed','admin','tiki'),('tiki_p_add_events','Can add events in the calendar','registered','calendar'),('tiki_p_admin','Administrator, can manage users groups and permissions, Hotwords and all the weblog features','admin','tiki'),('tiki_p_admin_banners','Administrator, can admin banners','admin','tiki'),('tiki_p_admin_banning','Can ban users or ips','admin','tiki'),('tiki_p_admin_calendar','Can create/admin calendars','admin','calendar'),('tiki_p_admin_categories','Can admin categories','editors','tiki'),('tiki_p_admin_charts','Can admin charts','admin','charts'),('tiki_p_admin_chat','Administrator, can create channels remove channels etc','editors','chat'),('tiki_p_admin_cms','Can admin the cms','editors','cms'),('tiki_p_admin_directory','Can admin the directory','editors','directory'),('tiki_p_admin_directory_cats','Can admin directory categories','editors','directory'),('tiki_p_admin_directory_sites','Can admin directory sites','editors','directory'),('tiki_p_admin_drawings','Can admin drawings','editors','drawings'),('tiki_p_admin_dynamic','Can admin the dynamic content system','editors','tiki'),('tiki_p_admin_faqs','Can admin faqs','editors','faqs'),('tiki_p_admin_file_galleries','Can admin file galleries','editors','file galleries'),('tiki_p_admin_forum','Can admin forums','editors','forums'),('tiki_p_admin_galleries','Can admin Image Galleries','editors','image galleries'),('tiki_p_admin_games','Can admin games','editors','games'),('tiki_p_admin_integrator','Can admin integrator repositories and rules','admin','tiki'),('tiki_p_admin_mailin','Can admin mail-in accounts','admin','tiki'),('tiki_p_admin_newsletters','Can admin newsletters','admin','newsletters'),('tiki_p_admin_objects','Can edit object permissions','admin','tiki'),('tiki_p_admin_polls','Can admin polls','admin','tiki'),('tiki_p_admin_quizzes','Can admin quizzes','editors','quizzes'),('tiki_p_admin_received_articles','Can admin received articles','editors','comm'),('tiki_p_admin_received_pages','Can admin received pages','editors','comm'),('tiki_p_admin_rssmodules','Can admin rss modules','admin','tiki'),('tiki_p_admin_sheet','Can admin sheet','admin','sheet'),('tiki_p_admin_shoutbox','Can admin shoutbox (Edit/remove msgs)','editors','shoutbox'),('tiki_p_admin_surveys','Can admin surveys','editors','surveys'),('tiki_p_admin_trackers','Can admin trackers','editors','trackers'),('tiki_p_admin_users','Can admin users','admin','user'),('tiki_p_admin_wiki','Can admin the wiki','editors','wiki'),('tiki_p_admin_workflow','Can admin workflow processes','admin','workflow'),('tiki_p_approve_submission','Can approve submissions','editors','cms'),('tiki_p_attach_trackers','Can attach files to tracker items','registered','trackers'),('tiki_p_autoapprove_submission','Submited articles automatically approved','editors','cms'),('tiki_p_autosubmit_link','Submited links are valid','editors','directory'),('tiki_p_autoval_chart_suggestio','Autovalidate suggestions','editors','charts'),('tiki_p_batch_upload_files','Can upload zip files with files','editors','file galleries'),('tiki_p_batch_upload_image_dir','Can use Directory Batch Load','editors','image galleries'),('tiki_p_batch_upload_images','Can upload zip files with images','editors','image galleries'),('tiki_p_blog_admin','Can admin blogs','editors','blogs'),('tiki_p_blog_post','Can post to a blog','registered','blogs'),('tiki_p_broadcast','Can broadcast messages to groups','admin','messu'),('tiki_p_broadcast_all','Can broadcast messages to all user','admin','messu'),('tiki_p_cache_bookmarks','Can cache user bookmarks','admin','user'),('tiki_p_change_events','Can change events in the calendar','registered','calendar'),('tiki_p_chat','Can use the chat system','registered','chat'),('tiki_p_comment_tracker_items','Can insert comments for tracker items','basic','trackers'),('tiki_p_configure_modules','Can configure modules','registered','user'),('tiki_p_create_blogs','Can create a blog','editors','blogs'),('tiki_p_create_bookmarks','Can create user bookmarks','registered','user'),('tiki_p_create_css','Can create new css suffixed with -user','registered','tiki'),('tiki_p_create_file_galleries','Can create file galleries','editors','file galleries'),('tiki_p_create_galleries','Can create image galleries','editors','image galleries'),('tiki_p_create_tracker_items','Can create new items for trackers','registered','trackers'),('tiki_p_download_files','Can download files','basic','file galleries'),('tiki_p_edit','Can edit pages','registered','wiki'),('tiki_p_edit_article','Can edit articles','editors','cms'),('tiki_p_edit_comments','Can edit all comments','editors','comments'),('tiki_p_edit_content_templates','Can edit content templates','editors','content templates'),('tiki_p_edit_cookies','Can admin cookies','editors','tiki'),('tiki_p_edit_copyrights','Can edit copyright notices','editors','wiki'),('tiki_p_edit_drawings','Can edit drawings','basic','drawings'),('tiki_p_edit_dynvar','Can edit dynamic variables','editors','wiki'),('tiki_p_edit_html_pages','Can edit HTML pages','editors','html pages'),('tiki_p_edit_languages','Can edit translations and create new languages','editors','tiki'),('tiki_p_edit_sheet','Can create and edit sheets','editors','sheet'),('tiki_p_edit_structures','Can create and edit structures','editors','wiki'),('tiki_p_edit_submission','Can edit submissions','editors','cms'),('tiki_p_edit_templates','Can edit site templates','admin','tiki'),('tiki_p_eph_admin','Can admin ephemerides','editors','tiki'),('tiki_p_exception_instance','Can declare an instance as exception','registered','workflow'),('tiki_p_forum_attach','Can attach to forum posts','registered','forums'),('tiki_p_forum_autoapp','Auto approve forum posts','editors','forums'),('tiki_p_forum_post','Can post in forums','registered','forums'),('tiki_p_forum_post_topic','Can start threads in forums','registered','forums'),('tiki_p_forum_read','Can read forums','basic','forums'),('tiki_p_forum_vote','Can vote comments in forums','registered','forums'),('tiki_p_forums_report','Can report msgs to moderator','registered','forums'),('tiki_p_list_users','Can list registered users','registered','community'),('tiki_p_live_support','Can use live support system','basic','support'),('tiki_p_live_support_admin','Admin live support system','admin','support'),('tiki_p_lock','Can lock pages','editors','wiki'),('tiki_p_map_create','Can create new mapfile','admin','maps'),('tiki_p_map_delete','Can delete mapfiles','admin','maps'),('tiki_p_map_edit','Can edit mapfiles','editors','maps'),('tiki_p_map_view','Can view mapfiles','basic','maps'),('tiki_p_map_view_mapfiles','Can view contents of mapfiles','registered','maps'),('tiki_p_messages','Can use the messaging system','registered','messu'),('tiki_p_minical','Can use the mini event calendar','registered','user'),('tiki_p_minor','Can save as minor edit','registered','wiki'),('tiki_p_modify_tracker_items','Can change tracker items','registered','trackers'),('tiki_p_newsreader','Can use the newsreader','registered','user'),('tiki_p_notepad','Can use the notepad','registered','user'),('tiki_p_play_games','Can play games','basic','games'),('tiki_p_post_comments','Can post new comments','registered','comments'),('tiki_p_post_shoutbox','Can post messages in shoutbox','basic','shoutbox'),('tiki_p_read_article','Can read articles','basic','cms'),('tiki_p_read_blog','Can read blogs','basic','blogs'),('tiki_p_read_comments','Can read comments','basic','comments'),('tiki_p_remove','Can remove','editors','wiki'),('tiki_p_remove_article','Can remove articles','editors','cms'),('tiki_p_remove_comments','Can delete comments','editors','comments'),('tiki_p_remove_submission','Can remove submissions','editors','cms'),('tiki_p_rename','Can rename pages','editors','wiki'),('tiki_p_rollback','Can rollback pages','editors','wiki'),('tiki_p_send_articles','Can send articles to other sites','editors','comm'),('tiki_p_send_instance','Can send instances after completion','registered','workflow'),('tiki_p_send_newsletters','Can send newsletters','editors','newsletters'),('tiki_p_send_pages','Can send pages to other sites','registered','comm'),('tiki_p_sendme_articles','Can send articles to this site','registered','comm'),('tiki_p_sendme_pages','Can send pages to this site','registered','comm'),('tiki_p_submit_article','Can submit articles','basic','cms'),('tiki_p_submit_link','Can submit sites to the directory','basic','directory'),('tiki_p_subscribe_email','Can subscribe any email to newsletters','editors','newsletters'),('tiki_p_subscribe_newsletters','Can subscribe to newsletters','basic','newsletters'),('tiki_p_suggest_chart_item','Can suggest items','basic','charts'),('tiki_p_suggest_faq','Can suggest faq questions','basic','faqs'),('tiki_p_take_quiz','Can take quizzes','basic','quizzes'),('tiki_p_take_survey','Can take surveys','basic','surveys'),('tiki_p_tasks','Can use tasks','registered','user'),('tiki_p_tasks_admin','Can admin public tasks','admin','user'),('tiki_p_tasks_receive','Can  receive tasks from other users','registered','user'),('tiki_p_tasks_send','Can send tasks to other users','registered','user'),('tiki_p_topic_read','Can read a topic (Applies only to individual topic perms)','basic','topics'),('tiki_p_tracker_view_ratings','Can view rating result for tracker items','basic','trackers'),('tiki_p_tracker_vote_ratings','Can vote a rating for tracker items','registered','trackers'),('tiki_p_upload_files','Can upload files','registered','file galleries'),('tiki_p_upload_images','Can upload images','registered','image galleries'),('tiki_p_upload_picture','Can upload pictures to wiki pages','registered','wiki'),('tiki_p_use_HTML','Can use HTML in pages','editors','tiki'),('tiki_p_use_content_templates','Can use content templates','registered','content templates'),('tiki_p_use_webmail','Can use webmail','registered','webmail'),('tiki_p_use_workflow','Can execute workflow activities','registered','workflow'),('tiki_p_userfiles','Can upload personal files','registered','user'),('tiki_p_usermenu','Can create items in personal menu','registered','user'),('tiki_p_validate_links','Can validate submited links','editors','directory'),('tiki_p_view','Can view page/pages','basic','wiki'),('tiki_p_view_calendar','Can browse the calendar','basic','calendar'),('tiki_p_view_categories','Can browse categories','basic','tiki'),('tiki_p_view_chart','Can view charts','basic','charts'),('tiki_p_view_directory','Can use the directory','basic','directory'),('tiki_p_view_eph','Can view ephemerides','registered','tiki'),('tiki_p_view_faqs','Can view faqs','basic','faqs'),('tiki_p_view_file_gallery','Can view file galleries','basic','file galleries'),('tiki_p_view_html_pages','Can view HTML pages','basic','html pages'),('tiki_p_view_image_gallery','Can view image galleries','basic','image galleries'),('tiki_p_view_integrator','Can view integrated repositories','basic','tiki'),('tiki_p_view_quiz_stats','Can view quiz stats','basic','quizzes'),('tiki_p_view_referer_stats','Can view referer stats','editors','tiki'),('tiki_p_view_sheet','Can view sheet','basic','sheet'),('tiki_p_view_sheet_history','Can view sheet history','admin','sheet'),('tiki_p_view_shoutbox','Can view shoutbox','basic','shoutbox'),('tiki_p_view_stats','Can view site stats','basic','tiki'),('tiki_p_view_survey_stats','Can view survey stats','basic','surveys'),('tiki_p_view_templates','Can view site templates','admin','tiki'),('tiki_p_view_tiki_calendar','Can view TikiWiki tools calendar','basic','calendar'),('tiki_p_view_trackers','Can view trackers','basic','trackers'),('tiki_p_view_trackers_closed','Can view trackers closed items','registered','trackers'),('tiki_p_view_trackers_pending','Can view trackers pending items','editors','trackers'),('tiki_p_view_user_results','Can view user quiz results','editors','quizzes'),('tiki_p_vote_chart','Can vote','basic','charts'),('tiki_p_vote_comments','Can vote comments','registered','comments'),('tiki_p_vote_poll','Can vote polls','basic','tiki'),('tiki_p_wiki_admin_attachments','Can admin attachments to wiki pages','editors','wiki'),('tiki_p_wiki_admin_ratings','Can add and change ratings on wiki pages','admin','wiki'),('tiki_p_wiki_attach_files','Can attach files to wiki pages','registered','wiki'),('tiki_p_wiki_view_attachments','Can view wiki attachments and download','registered','wiki'),('tiki_p_wiki_view_comments','Can view wiki comments','basic','wiki'),('tiki_p_wiki_view_history','Can view wiki history','basic','wiki'),('tiki_p_wiki_view_ratings','Can view rating of wiki pages','basic','wiki'),('tiki_p_wiki_vote_ratings','Can participate to rating of wiki pages','registered','wiki');
CREATE TABLE `users_usergroups` (
  `userId` int(8) NOT NULL default '0',
  `groupName` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`userId`,`groupName`(30))
) TYPE=MyISAM;
CREATE TABLE `users_users` (
  `userId` int(8) NOT NULL auto_increment,
  `email` varchar(200) default NULL,
  `login` varchar(40) NOT NULL default '',
  `password` varchar(30) default '',
  `provpass` varchar(30) default NULL,
  `default_group` varchar(255) default NULL,
  `lastLogin` int(14) default NULL,
  `currentLogin` int(14) default NULL,
  `registrationDate` int(14) default NULL,
  `challenge` varchar(32) default NULL,
  `pass_due` int(14) default NULL,
  `hash` varchar(32) default NULL,
  `created` int(14) default NULL,
  `avatarName` varchar(80) default NULL,
  `avatarSize` int(14) default NULL,
  `avatarFileType` varchar(250) default NULL,
  `avatarData` longblob,
  `avatarLibName` varchar(200) default NULL,
  `avatarType` char(1) default NULL,
  `score` int(11) NOT NULL default '0',
  PRIMARY KEY  (`userId`),
  KEY `score` (`score`)
) TYPE=MyISAM AUTO_INCREMENT=2;
INSERT INTO `users_users` VALUES (1,'@@ADMIN_EMAIL@@','@@ADMIN_LOGIN@@','@@ADMIN_PASSWD@@',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'@@ADMIN_PASSWD@@',NULL,NULL,NULL,NULL,NULL,NULL,NULL,0);
